//
// Filename filter strings
//

#define FSTRING_ALL		_T("All Files (*.*)|*.*")

#define FSTRING_3DS		_T("3D Studio Files (*.3ds)|*.3ds")
#define FSTRING_3DV		_T("Canoma 3DV Files (*.3dv)|*.3dv")
#define FSTRING_3TX		_T("3TX Files (*.3tx)|*.3tx")
#define FSTRING_ADF		_T("Arc Data Files (*.adf)|*.adf")
#define FSTRING_ASC		_T("ArcInfo ASCII grid (*.asc)|*.asc")
#define FSTRING_BCF		_T("BCF Files (*.bcf)|*.bcf")
#define FSTRING_BIL		_T("ArcInfo BIL grid (*.bil)|*.bil")
#define FSTRING_BMP		_T("Bitmap (*.bmp)|*.bmp")
#define FSTRING_BT		_T("BT Files (*.bt)|*.bt")
#define FSTRING_BTGZ	_T("Gzipped BT Files (*.bt.gz)|*.bt.gz")
#define FSTRING_CDF		_T("CDF Files (*.cdf, *.grd)|*.cdf;*.grd")
#define FSTRING_CHU		_T("ChunkLOD Files (*.chu)|*.chu")
#define FSTRING_CMT		_T("ColorMap Files (*.cmt)|*.cmt")
#define FSTRING_CSV		_T("Comma-separated Values (*.csv)|*.csv")
#define FSTRING_DAE		_T("Collada Files (*.dae)|*.dae")
#define FSTRING_DBF		_T("DBF Files (*.dbf)|*.dbf")
#define FSTRING_DEM		_T("DEM Files (*.dem)|*.dem")
#define FSTRING_DLG		_T("USGS DLG Files (*.dlg, *.opt)|*.dlg;*.opt")
#define FSTRING_DOQ		_T("USGS DOQ Files (*.jpg, *.doq, *.coq)|*.doq;*.coq;*.jpg")
#define FSTRING_DTED	_T("DTED Files (*.dte, *.dt0, *.dt1, *.dt2)|*.dte;*.dt0;*.dt1;*.dt2")
#define FSTRING_DXF		_T("DXF Files (*.dxf)|*.dxf")
#define FSTRING_ECW		_T("ECW Files (*.ecw)|*.ecw")
#define FSTRING_ENZI	_T("ENZI Files (*.enzi)|*.enzi")
#define FSTRING_FLT		_T("OpenFlight Files (*.flt)|*.flt")
#define FSTRING_GML		_T("GML Files (*.gml, *.xml)|*.gml;*.xml")
#define FSTRING_GMS		_T("GMS Files (*.tin)|*.tin")
#define FSTRING_GTOPO	_T("GTOPO30 Files (*.hdr)|*.hdr")
#define FSTRING_HGT		_T("HGT SRTM Files (*.hgt)|*.hgt")
#define FSTRING_HTML	_T("HTML Files (*.html)|*.html")
#define FSTRING_IGC		_T("IGC Files (*.igc)|*.igc")
#define FSTRING_IMG		_T("IMG Files (*.img)|*.img")
#define FSTRING_INI		_T("INI Files (*.ini)|*.ini")
#define FSTRING_IVE		_T("IVE Files (*.ive)|*.ive")
#define FSTRING_JPEG	_T("JPEG Files (*.jpg, *.jpeg)|*.jpg;*.jpeg")
#define FSTRING_KML		_T("KML Files (*.kml)|*.kml")
#define FSTRING_LOC		_T("Location Files (*.loc)|*.loc")
#define FSTRING_LWO		_T("LightWave Files (*.lwo)|*.lwo")
#define FSTRING_LULC	_T("LULC Files (*.gir)|*.gir")
#define FSTRING_MEM		_T("Japanese DEM Files (*.mem)|*.mem")
#define FSTRING_MI		_T("MapInfo Files (*.tab, *.mif)|*.tab;*.mif")
#define FSTRING_NTF		_T("OSGB NTF Files (*.ntf)|*.ntf")
#define FSTRING_OBJ		_T("Wavefront OBJ Files (*.obj)|*.obj")
#define FSTRING_OSG		_T("OSG Files (*.osg)|*.osg")
#define FSTRING_OSM		_T("OpenStreetMap Files (*.osm)|*.osm")
#define FSTRING_Planet	_T("Planet Files (*.txt)|*.txt")
#define FSTRING_PGM		_T("PGM Files (*.pgm*)|*.pgm*")
#define FSTRING_PLY		_T("Stanford Polygon PLY Files (*.ply)|*.ply")
#define FSTRING_PNG		_T("PNG Files (*.png)|*.png")
#define FSTRING_PPM		_T("PPM Files (*.ppm*)|*.ppm*")
#define FSTRING_PRJ		_T("Projection Files (*.prj*)|*.prj*")
#define FSTRING_RAW		_T("Raw raster files (*.raw)|*.raw")
#define FSTRING_RMF		_T("RMF Files (*.rmf)|*.rmf")
#define FSTRING_S57		_T("S-57 Files (*.000)|*.000")
#define FSTRING_SDTS	_T("SDTS Files (*catd.ddf)|*catd.ddf")
#define FSTRING_SHP		_T("Shapefiles (*.shp)|*.shp")
#define FSTRING_Surfer	_T("Surfer Binary Grids (*.grd)|*.grd")
#define FSTRING_STM		_T("STM Files (*.stm)|*.stm")
#define FSTRING_TER		_T("Terragen terrain (*.ter)|*.ter")
#define FSTRING_TIF		_T("GeoTIFF Files (*.tif)|*.tif")
#define FSTRING_TIN		_T("TIN Files (*.itf)|*.itf")
#define FSTRING_TXT		_T("Text Files (*.txt)|*.txt")
#define FSTRING_UTL		_T("Utility Files (*.osm)|*.osm")
#define FSTRING_VF		_T("Vegetation Files (*.vf)|*.vf")
#define FSTRING_VTAP	_T("AnimPath Files (*.vtap)|*.vtap")
#define FSTRING_VTB		_T("VTBuilder Project Files (*.vtb)|*.vtb")
#define FSTRING_VTCO	_T("Content XML Files (*.vtco)|*.vtco")
#define FSTRING_VTST	_T("Structure Files (*.vtst)|*.vtst")
#define FSTRING_VTSTGZ	_T("Structure Files (*.vtst.gz)|*.vtst.gz")
#define FSTRING_WRL		_T("WRL Files (*.wrl)|*.wrl")
#define FSTRING_XML		_T("XML Files (*.xml)|*.xml")
#define FSTRING_XYZ		_T("XYZ Text Files (*.xyz)|*.xyz")

#define FSTRING_COMP	_T("Compressed Files (*.tar, *.gz, *.tgz, *.zip)|*.tar;*.gz;*.tgz;*.zip")

