//
// key translation table for GEOnet region mapping of non-roman characters
// (Geonet 8-bit character to 16-bit Unicode)
//

//
// This table is for region 1
//
unsigned short region1[128] =
{
	// (for regions 1-5, 0-127 map directly to 0-127 for ASCII)

	// 128
	0x0000,
	0x010C,	// LATIN CAPITAL LETTER C WITH CARON
	0x0000,
	0x0000,
	0x0000,
	0x0000,
	0x0000,
	0x0152,	// LATIN CAPITAL LIGATURE OE

	// 136
	0x0000,
	0x0000,
	0x0000,
	0x014A,	// LATIN CAPITAL LETTER ENG
	0x0000,
	0x0000,
	0x0150,	// LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
	0x0000,

	// 144
	0x0000,
	0x0000,
	0x0000,
	0x0000,
	0x0000,
	0x0160,	// LATIN CAPITAL LETTER S WITH CARON ()
	0x00B6,	// PILCROW SIGN = PARAGRAPH SIGN
	0x201D,	// RIGHT DOUBLE QUOTATION MARK

	// 152
	0x0000,
	0x0000,
	0x0000,
	0x0166,	// LATIN CAPITAL LETTER T WITH STROKE
	0x017D,	// LATIN CAPITAL LETTER Z WITH CARON
	0x0000,
	0x0000,
	0x0000,

	// 160
	0x0000,
	0x010D,	// LATIN SMALL LETTER C WITH CARON
	0x0000,
	0x0000,
	0x0000,
	0x0000,
	0x0000,
	0x0153,	// LATIN SMALL LIGATURE OE

	// 168
	0x0000,
	0x0000,
	0x0000,
	0x014B,	// LATIN SMALL LETTER ENG
	0x0000,
	0x0000,
	0x0151,	// LATIN SMALL LETTER O WITH DOUBLE ACUTE
	0x0000,

	// 176
	0x00B0,	// DEGREE SIGN ()
	0x0000,
	0x0000,
	0x0000,
	0x0000,
	0x0161,	// LATIN SMALL LETTER S WITH CARON ()
	0x0000,
	0x2027,	// HYPHENATION POINT

	// 184
	0x0000,
	0x0000,
	0x0000,
	0x0167,	// LATIN SMALL LETTER T WITH STROKE
	0x017E,	// LATIN SMALL LETTER Z WITH CARON ()
	0x0000,
	0x0000,
	0x0000,

	// 192
	0x00C0,	// LATIN CAPITAL LETTER A WITH GRAVE ()
	0x00C1,	// LATIN CAPITAL LETTER A WITH ACUTE ()
	0x00C2,	// LATIN CAPITAL LETTER A WITH CIRCUMFLEX ()
	0x00C3,	// LATIN CAPITAL LETTER A WITH TILDE ()
	0x00C4,	// LATIN CAPITAL LETTER A WITH DIAERESIS ()
	0x00C5,	// LATIN CAPITAL LETTER A WITH RING ABOVE ()
	0x00C6,	// LATIN CAPITAL LETTER AE ()
	0x00C7,	// LATIN CAPITAL LETTER C WITH CEDILLA ()

	// 200
	0x00C8,	// LATIN CAPITAL LETTER E WITH GRAVE ()
	0x00C9,	// LATIN CAPITAL LETTER E WITH ACUTE ()
	0x00CA,	// LATIN CAPITAL LETTER E WITH CIRCUMFLEX
	0x00CB,	// LATIN CAPITAL LETTER E WITH DIAERESIS
	0x00CC,	// LATIN CAPITAL LETTER I WITH GRAVE
	0x00CD,	// LATIN CAPITAL LETTER I WITH ACUTE
	0x00CE,	// LATIN CAPITAL LETTER I WITH CIRCUMFLEX
	0x00CF,	// LATIN CAPITAL LETTER I WITH DIAERESIS

	// 208
	0x00D0,	// LATIN CAPITAL LETTER ETH ()
	0x00D1,	// LATIN CAPITAL LETTER N WITH TILDE
	0x00D2,	// LATIN CAPITAL LETTER O WITH GRAVE
	0x00D3,	// LATIN CAPITAL LETTER O WITH ACUTE
	0x00D4,	// LATIN CAPITAL LETTER O WITH CIRCUMFLEX
	0x00D5,	// LATIN CAPITAL LETTER O WITH TILDE
	0x00D6,	// LATIN CAPITAL LETTER O WITH DIAERESIS
	0x0170,	// LATIN CAPITAL LETTER U WITH DOUBLE ACUTE

	// 216
	0x00D8,	// LATIN CAPITAL LETTER O WITH STROKE ()
	0x00D9,	// LATIN CAPITAL LETTER U WITH GRAVE ()
	0x00DA,	// LATIN CAPITAL LETTER U WITH ACUTE ()
	0x00DB,	// LATIN CAPITAL LETTER U WITH CIRCUMFLEX
	0x00DC,	// LATIN CAPITAL LETTER U WITH DIAERESIS
	0x00DD,	// LATIN CAPITAL LETTER Y WITH ACUTE ()
	0x00DE,	// LATIN CAPITAL LETTER THORN ()
	0x00DF,	// LATIN SMALL LETTER SHARP S ()

	// 224
	0x00E0,	// LATIN SMALL LETTER A WITH GRAVE
	0x00E1,	// LATIN SMALL LETTER A WITH ACUTE
	0x00E2,	// LATIN SMALL LETTER A WITH CIRCUMFLEX
	0x00E3,	// LATIN SMALL LETTER A WITH TILDE
	0x00E4,	// LATIN SMALL LETTER A WITH DIAERESIS
	0x00E5,	// LATIN SMALL LETTER A WITH RING ABOVE
	0x00E6,	// LATIN SMALL LETTER AE = LATIN SMALL LIGATURE AE
	0x00E7,	// LATIN SMALL LETTER C WITH CEDILLA

	// 232
	0x00E8,	// LATIN SMALL LETTER E WITH GRAVE
	0x00E9,	// LATIN SMALL LETTER E WITH ACUTE
	0x00EA, // LATIN SMALL LETTER E WITH CIRCUMFLEX
	0x00EB,	// LATIN SMALL LETTER E WITH DIAERESIS ()
	0x00EC,	// LATIN SMALL LETTER I WITH GRAVE
	0x00ED,	// LATIN SMALL LETTER I WITH ACUTE
	0x00EE,	// LATIN SMALL LETTER I WITH CIRCUMFLEX
	0x00EF,	// LATIN SMALL LETTER I WITH DIAERESIS

	// 240
	0x0111,	// LATIN SMALL LETTER D WITH STROKE- ANSI has 00F0 LATIN SMALL LETTER ETH ()
	0x00F1,	// LATIN SMALL LETTER N WITH TILDE ()
	0x00F2,	// SMALL LETTER O WITH GRAVE
	0x00F3,	// SMALL LETTER O WITH ACUTE
	0x00F4,	// SMALL LETTER O WITH CIRCUMFLEX
	0x00F5,	// SMALL LETTER O WITH TILDE
	0x00F6,	// SMALL LETTER O WITH DIAERESIS
	0x0171,	// LATIN SMALL LETTER U WITH DOUBLE ACUTE


	// 248
	0x00F8,	// LATIN SMALL LETTER O WITH STROKE ()
	0x00F9,	// LATIN SMALL LETTER U WITH GRAVE
	0x00FA,	// LATIN SMALL LETTER U WITH ACUTE
	0x00FB,	// LATIN SMALL LETTER U WITH CIRCUMFLEX
	0x00FC,	// LATIN SMALL LETTER U WITH DIAERESIS ()
	0x00FD,	// LATIN SMALL LETTER Y WITH ACUTE ()
	0x00FE,	// LATIN SMALL LETTER THORN ()
	0x00F0	// LATIN SMALL LETTER ETH ()
};

//
// This table is for region 2
//
unsigned short region2[128] =
{
	// (0-127 map directly to 0-127 for ASCII)
	// 128
	0x0106,	// LATIN CAPITAL LETTER C WITH ACUTE
	0x010C,	// LATIN CAPITAL LETTER C WITH CARON
	0x010E,	// LATIN CAPITAL LETTER D WITH CARON
	0x0104,	// LATIN CAPITAL LETTER A WITH OGONEK
	0x0112,	// LATIN CAPITAL LETTER E WITH MACRON
	0x0116,	// LATIN CAPITAL LETTER E WITH DOT ABOVE
	0x0118,	// LATIN CAPITAL LETTER E WITH OGONEK
	0x0000,

	// 136
	0x015A,	// LATIN CAPITAL LETTER S WITH ACUTE
	0x1E2E,	// LATIN CAPITAL LETTER I WITH DIAERESIS AND ACUTE
	0x013B,	// LATIN CAPITAL LETTER L WITH CEDILLA
	0x0136,	// LATIN CAPITAL LETTER K WITH CEDILLA
	0x016E,	// LATIN CAPITAL LETTER U WITH RING ABOVE
	0x011A,	// LATIN CAPITAL LETTER E WITH CARON
	0x0150,	// LATIN CAPITAL LETTER O WITH DOUBLE ACUTE
	0x0141,	// LATIN CAPITAL LETTER L WITH STROKE

	// 144
	0x0000,
	0x0158,	// LATIN CAPITAL LETTER R WITH CARON
	0x0147,	// LATIN CAPITAL LETTER N WITH CARON
	0x0143,	// LATIN CAPITAL LETTER N WITH ACUTE
	0x0154,	// LATIN CAPITAL LETTER R WITH ACUTE
	0x0160,	// LATIN CAPITAL LETTER S WITH CARON ()
	0x015E,	// LATIN CAPITAL LETTER S WITH CEDILLA
	0x201D,	// RIGHT DOUBLE QUOTATION MARK

	// 152
	0x013D,	// LATIN CAPITAL LETTER L WITH CARON
	0x0164,	// LATIN CAPITAL LETTER T WITH CARON
	0x0162,	// LATIN CAPITAL LETTER T WITH CEDILLA
	0x0122,	// LATIN CAPITAL LETTER G WITH CEDILLA
	0x017D,	// LATIN CAPITAL LETTER Z WITH CARON
	0x017B,	// LATIN CAPITAL LETTER Z WITH DOT ABOVE
	0x0179,	// LATIN CAPITAL LETTER Z WITH ACUTE
	0x012A,	// LATIN CAPITAL LETTER I WITH MACRON

	// 160
	0x0107,	// LATIN SMALL LETTER C WITH ACUTE
	0x010D,	// LATIN SMALL LETTER C WITH CARON
	0x010F,	// LATIN SMALL LETTER D WITH CARON
	0x0105,	// LATIN SMALL LETTER A WITH OGONEK
	0x0113,	// LATIN SMALL LETTER E WITH MACRON
	0x0117,	// LATIN SMALL LETTER E WITH DOT ABOVE
	0x0119,	// LATIN SMALL LETTER E WITH OGONEK
	0x0000,

	// 168
	0x015B,	// LATIN SMALL LETTER S WITH ACUTE
	0x1E2F,	// LATIN SMALL LETTER I WITH DIAERESIS AND ACUTE
	0x013C,	// LATIN SMALL LETTER L WITH CEDILLA
	0x0137,	// LATIN SMALL LETTER K WITH CEDILLA
	0x016F,	// LATIN SMALL LETTER U WITH RING ABOVE
	0x011B,	// LATIN SMALL LETTER E WITH CARON
	0x0151,	// LATIN SMALL LETTER O WITH DOUBLE ACUTE
	0x0142,	// LATIN SMALL LETTER L WITH STROKE

	// 176
	0x00B0,	// DEGREE SIGN ()
	0x0159,	// LATIN SMALL LETTER R WITH CARON
	0x0148,	// LATIN SMALL LETTER N WITH CARON
	0x0144,	// LATIN SMALL LETTER N WITH ACUTE
	0x0155,	// LATIN SMALL LETTER R WITH ACUTE
	0x0161,	// LATIN SMALL LETTER S WITH CARON ()
	0x015F,	// LATIN SMALL LETTER S WITH CEDILLA
	0x2027,	// HYPHENATION POINT

	// 184
	0x013E,	// LATIN SMALL LETTER L WITH CARON
	0x0165,	// LATIN SMALL LETTER T WITH CARON
	0x0163,	// LATIN SMALL LETTER T WITH CEDILLA
	0x0123,	// LATIN SMALL LETTER G WITH CEDILLA
	0x017E,	// LATIN SMALL LETTER Z WITH CARON ()
	0x017C,	// LATIN SMALL LETTER Z WITH DOT ABOVE
	0x017A,	// LATIN SMALL LETTER Z WITH ACUTE
	0x012B,	// LATIN SMALL LETTER I WITH MACRON

	// 192
	0x0000,
	0x00C1,	// LATIN CAPITAL LETTER A WITH ACUTE ()
	0x00C2,	// LATIN CAPITAL LETTER A WITH CIRCUMFLEX ()
	0x0139,	// LATIN CAPITAL LETTER L WITH ACUTE
	0x00C4,	// LATIN CAPITAL LETTER A WITH DIAERESIS ()
	0x0100,	// LATIN CAPITAL LETTER A WITH MACRON
	0x0102,	// LATIN CAPITAL LETTER A WITH BREVE ()
	0x00C7,	// LATIN CAPITAL LETTER C WITH CEDILLA ()

	// 200
	0x0000,
	0x00C9,	// LATIN CAPITAL LETTER E WITH ACUTE ()
	0x012E,	// LATIN CAPITAL LETTER I WITH OGONEK
	0x00CB,	// LATIN CAPITAL LETTER E WITH DIAERESIS
	0x0000,
	0x00CD,	// LATIN CAPITAL LETTER I WITH ACUTE
	0x00CE,	// LATIN CAPITAL LETTER I WITH CIRCUMFLEX
	0x00CF,	// LATIN CAPITAL LETTER I WITH DIAERESIS

	// 208
	0x00D0,	// LATIN CAPITAL LETTER ETH
	0x0145,	// LATIN CAPITAL LETTER N WITH CEDILLA
	0x0000,
	0x00D3,	// LATIN CAPITAL LETTER O WITH ACUTE
	0x00D4,	// LATIN CAPITAL LETTER O WITH CIRCUMFLEX
	0x00D5,	// LATIN CAPITAL LETTER O WITH TILDE
	0x00D6,	// LATIN CAPITAL LETTER O WITH DIAERESIS
	0x0170,	// LATIN CAPITAL LETTER U WITH DOUBLE ACUTE

	// 216
	0x016A,	// LATIN CAPITAL LETTER U WITH MACRON
	0x0000,
	0x00DA,	// LATIN CAPITAL LETTER U WITH ACUTE ()
	0x0172,	// LATIN CAPITAL LETTER U WITH OGONEK
	0x00DC,	// LATIN CAPITAL LETTER U WITH DIAERESIS
	0x00DD,	// LATIN CAPITAL LETTER Y WITH ACUTE ()
	0x016C,	// LATIN CAPITAL LETTER U WITH BREVE
	0x00DF,	// LATIN SMALL LETTER SHARP S ()

	// 224
	0x0000,
	0x00E1,	// LATIN SMALL LETTER A WITH ACUTE
	0x00E2,	// LATIN SMALL LETTER A WITH CIRCUMFLEX
	0x013A,	// LATIN SMALL LETTER L WITH ACUTE
	0x00E4,	// LATIN SMALL LETTER A WITH DIAERESIS
	0x0101,	// LATIN SMALL LETTER A WITH MACRON
	0x0103,	// LATIN SMALL LETTER A WITH BREVE
	0x00E7,	// LATIN SMALL LETTER C WITH CEDILLA

	// 232
	0x0000,
	0x00E9,	// LATIN SMALL LETTER E WITH ACUTE
	0x012F, // LATIN SMALL LETTER I WITH OGONEK
	0x00EB,	// LATIN SMALL LETTER E WITH DIAERESIS ()
	0x0000,
	0x00ED,	// LATIN SMALL LETTER I WITH ACUTE
	0x00EE,	// LATIN SMALL LETTER I WITH CIRCUMFLEX
	0x00EF,	// LATIN SMALL LETTER I WITH DIAERESIS

	// 240
	0x0111,	// LATIN SMALL LETTER D WITH STROKE- ANSI has 00F0 LATIN SMALL LETTER ETH ()
	0x0146,	// LATIN SMALL LETTER N WITH CEDILLA
	0x0000,
	0x00F3,	// SMALL LETTER O WITH ACUTE
	0x00F4,	// SMALL LETTER O WITH CIRCUMFLEX
	0x00F5,	// SMALL LETTER O WITH TILDE
	0x00F6,	// SMALL LETTER O WITH DIAERESIS
	0x0171,	// LATIN SMALL LETTER U WITH DOUBLE ACUTE

	// 248
	0x016B,	// LATIN SMALL LETTER U WITH MACRON
	0x0000,
	0x00FA,	// LATIN SMALL LETTER U WITH ACUTE
	0x0173,	// LATIN SMALL LETTER U WITH OGONEK
	0x00FC,	// LATIN SMALL LETTER U WITH DIAERESIS ()
	0x00FD,	// LATIN SMALL LETTER Y WITH ACUTE ()
	0x016D,	// LATIN SMALL LETTER U WITH BREVE
	0x0000
};

//
// This table is for region 3
//
unsigned short region3[128] =
{
	// (0-127 map directly to 0-127 for ASCII)
	// 128
	0x010A,	// LATIN CAPITAL LETTER C WITH DOT ABOVE
	0x1E0C,	// LATIN CAPITAL LETTER D WITH DOT BELOW
	0x1E10,	// LATIN CAPITAL LETTER D WITH CEDILLA
	0x1E0E,	// LATIN CAPITAL LETTER D WITH LINE BELOW
	0x0112,	// LATIN CAPITAL LETTER E WITH MACRON
	0x0120,	// LATIN CAPITAL LETTER G WITH DOT ABOVE
	0x0,	// LATIN CAPITAL LETTER S WITH MACRON (can't find Unicode char!!!)
	0x0152,	// LATIN CAPITAL LIGATURE OE

	// 136
	0x0000,
	0x0130,	// LATIN CAPITAL LETTER I WITH DOT ABOVE
	0x0000,
	0x011E,	// LATIN CAPITAL LETTER G WITH BREVE
	0x1E24,	// LATIN CAPITAL LETTER H WITH DOT BELOW
	0x0000,
	0x0000,
	0x201B,	// SINGLE REVERSED COMMA QUOTATION MARK

	// 144
	0x0000,
	0x1E28,	// LATIN CAPITAL LETTER H WITH CEDILLA
	0x0,	// LATIN CAPITAL LETTER H WITH LINE BELOW (can't find Unicode char!!!)
	0x0000,
	0x0126,	// LATIN CAPITAL LETTER H WITH STROKE
	0x1E62,	// LATIN CAPITAL LETTER S WITH DOT BELOW
	0x015E,	// LATIN CAPITAL LETTER S WITH CEDILLA
	0x201D,	// RIGHT DOUBLE QUOTATION MARK

	// 152
	0x0174,	// LATIN CAPITAL LETTER W WITH CIRCUMFLEX
	0x1E6C,	// LATIN CAPITAL LETTER T WITH DOT BELOW
	0x0162,	// LATIN CAPITAL LETTER T WITH CEDILLA
	0x0,	// LATIN CAPITAL LETTER Z WITH CEDILLA (can't find Unicode char!!!)
	0x0,	// LATIN CAPITAL LETTER Z WITH MACRON (can't find Unicode char!!!)
	0x017B,	// LATIN CAPITAL LETTER Z WITH DOT ABOVE
	0x1E94,	// LATIN CAPITAL LETTER Z WITH LINE BELOW
	0x012A,	// LATIN CAPITAL LETTER I WITH MACRON

	// 160
	0x010B,	// LATIN SMALL LETTER C WITH DOT ABOVE
	0x1E0D,	// LATIN SMALL LETTER D WITH DOT BELOW
	0x1E11,	// LATIN SMALL LETTER D WITH CEDILLA
	0x1E0F,	// LATIN SMALL LETTER D WITH LINE BELOW
	0x0113,	// LATIN SMALL LETTER E WITH MACRON
	0x0121,	// LATIN SMALL LETTER G WITH DOT ABOVE
	0x0,	// LATIN SMALL LETTER S WITH MACRON (can't find Unicode char!!!)
	0x0153,	// LATIN SMALL LIGATURE OE

	// 168
	0x0000,
	0x0131,	// LATIN SMALL LETTER DOTLESS I
	0x0000,
	0x011F,	// LATIN SMALL LETTER G WITH BREVE
	0x1E25,	// LATIN SMALL LETTER H WITH DOT BELOW
	0x0000,
	0x0000,
	0x2018,	// LEFT SINGLE QUOTATION MARK ()

	// 176
	0x00B0,	// DEGREE SIGN ()
	0x1E29,	// LATIN SMALL LETTER H WITH CEDILLA
	0x0,	// LATIN SMALL LETTER H WITH LINE BELOW (can't find Unicode char!!!)
	0x0000,
	0x0127,	// LATIN SMALL LETTER H WITH STROKE
	0x1E63,	// LATIN SMALL LETTER S WITH DOT BELOW
	0x015F,	// LATIN SMALL LETTER S WITH CEDILLA
	0x2027,	// HYPHENATION POINT

	// 184
	0x0175,	// LATIN SMALL LETTER W WITH CIRCUMFLEX
	0x1E6D,	// LATIN SMALL LETTER T WITH DOT BELOW
	0x0163,	// LATIN SMALL LETTER T WITH CEDILLA
	0x0,	// LATIN SMALL LETTER Z WITH CEDILLA (can't find Unicode char!!!)
	0x0,	// LATIN SMALL LETTER Z WITH MACRON (can't find Unicode char!!!)
	0x017C,	// LATIN SMALL LETTER Z WITH DOT ABOVE
	0x1E95,	// LATIN SMALL LETTER Z WITH LINE BELOW
	0x012B,	// LATIN SMALL LETTER I WITH MACRON

	// 192
	0x00C0,	// LATIN CAPITAL LETTER A WITH GRAVE ()
	0x00C1,	// LATIN CAPITAL LETTER A WITH ACUTE ()
	0x00C2,	// LATIN CAPITAL LETTER A WITH CIRCUMFLEX ()
	0x00C3,	// LATIN CAPITAL LETTER A WITH TILDE ()
	0x00C4,	// LATIN CAPITAL LETTER A WITH DIAERESIS ()
	0x0100,	// LATIN CAPITAL LETTER A WITH MACRON
	0x0000,
	0x00C7,	// LATIN CAPITAL LETTER C WITH CEDILLA ()

	// 200
	0x00C8,	// LATIN CAPITAL LETTER E WITH GRAVE ()
	0x00C9,	// LATIN CAPITAL LETTER E WITH ACUTE ()
	0x00CA,	// LATIN CAPITAL LETTER E WITH CIRCUMFLEX
	0x00CB,	// LATIN CAPITAL LETTER E WITH DIAERESIS
	0x0000,
	0x00CD,	// LATIN CAPITAL LETTER I WITH ACUTE
	0x00CE,	// LATIN CAPITAL LETTER I WITH CIRCUMFLEX
	0x00CF,	// LATIN CAPITAL LETTER I WITH DIAERESIS

	// 208
	0x0,	// LATIN CAPITAL LETTER N WITH DIARESIS (can't find Unicode char!!!)
	0x00D1,	// LATIN CAPITAL LETTER N WITH TILDE
	0x00D2,	// LATIN CAPITAL LETTER O WITH GRAVE
	0x00D3,	// LATIN CAPITAL LETTER O WITH ACUTE
	0x00D4,	// LATIN CAPITAL LETTER O WITH CIRCUMFLEX
	0x00D5,	// LATIN CAPITAL LETTER O WITH TILDE
	0x00D6,	// LATIN CAPITAL LETTER O WITH DIAERESIS
	0x0000,

	// 216
	0x016A,	// LATIN CAPITAL LETTER U WITH MACRON
	0x00D9,	// LATIN CAPITAL LETTER U WITH GRAVE ()
	0x00DA,	// LATIN CAPITAL LETTER U WITH ACUTE ()
	0x00DB,	// LATIN CAPITAL LETTER U WITH CIRCUMFLEX
	0x00DC,	// LATIN CAPITAL LETTER U WITH DIAERESIS
	0x0000,
	0x0000,
	0x00DF,	// LATIN SMALL LETTER SHARP S ()

	// 224
	0x00E0,	// LATIN SMALL LETTER A WITH GRAVE
	0x00E1,	// LATIN SMALL LETTER A WITH ACUTE
	0x00E2,	// LATIN SMALL LETTER A WITH CIRCUMFLEX
	0x00E3,	// LATIN SMALL LETTER A WITH TILDE
	0x00E4,	// LATIN SMALL LETTER A WITH DIAERESIS
	0x0101,	// LATIN SMALL LETTER A WITH MACRON
	0x0000,
	0x00E7,	// LATIN SMALL LETTER C WITH CEDILLA

	// 232
	0x00E8,	// LATIN SMALL LETTER E WITH GRAVE
	0x00E9,	// LATIN SMALL LETTER E WITH ACUTE
	0x00EA, // LATIN SMALL LETTER E WITH CIRCUMFLEX
	0x00EB,	// LATIN SMALL LETTER E WITH DIAERESIS ()
	0x0000,
	0x00ED,	// LATIN SMALL LETTER I WITH ACUTE
	0x00EE,	// LATIN SMALL LETTER I WITH CIRCUMFLEX
	0x00EF,	// LATIN SMALL LETTER I WITH DIAERESIS

	// 240
	0x0,	// LATIN SMALL LETTER N DIARESIS (can't find Unicode char !!!)
	0x00F1,	// LATIN SMALL LETTER N WITH TILDE ()
	0x00F2,	// SMALL LETTER O WITH GRAVE
	0x00F3,	// SMALL LETTER O WITH ACUTE
	0x00F4,	// SMALL LETTER O WITH CIRCUMFLEX
	0x00F5,	// SMALL LETTER O WITH TILDE
	0x00F6,	// SMALL LETTER O WITH DIAERESIS
	0x0000,

	// 248
	0x016B,	// LATIN SMALL LETTER U WITH MACRON
	0x00F9,	// LATIN SMALL LETTER U WITH GRAVE
	0x00FA,	// LATIN SMALL LETTER U WITH ACUTE
	0x00FB,	// LATIN SMALL LETTER U WITH CIRCUMFLEX
	0x00FC,	// LATIN SMALL LETTER U WITH DIAERESIS ()
	0x0000,
	0x0000,
	0x0000
};

