//
// This table of State Plane coordinates was adapted from the "stateplane.txt"
// table in GDAL.
//

StatePlaneInfo g_StatePlaneInfo[] = {
// name,					NAD27,	NAD83,	USGS Code
{ "ALABAMA EAST",			true,	true,	101 },
{ "ALABAMA WEST",			true,	true,	102 },
{ "AMERICAN SAMOA",			true,	true,	5300 },
{ "ARIZONA EAST",			true,	true,	201 },
{ "ARIZONA CENTRAL",		true,	true,	202 },
{ "ARIZONA WEST",			true,	true,	203 },
{ "ARKANSAS NORTH",			true,	true,	301 },
{ "ARKANSAS SOUTH",			true,	true,	302 },
{ "CALIFORNIA I",			true,	true,	401 },
{ "CALIFORNIA II",			true,	true,	402 },
{ "CALIFORNIA III",			true,	true,	403 },
{ "CALIFORNIA IV",			true,	true,	404 },
{ "CALIFORNIA V",			true,	true,	405 },
{ "CALIFORNIA VI",			true,	true,	406 },
{ "CALIFORNIA VII",			true,	false,	407 },	// removed for nad83
{ "COLORADO NORTH",			true,	true,	501 },
{ "COLORADO CENTRAL",		true,	true,	502 },
{ "COLORADO SOUTH",			true,	true,	503 },
{ "CONNECTICUT ---",		true,	true,	600 },
{ "DELAWARE ---",			true,	true,	700 },
{ "FLORIDA EAST",			true,	true,	901 },
{ "FLORIDA WEST",			true,	true,	902 },
{ "FLORIDA NORTH",			true,	true,	903 },
{ "GEORGIA EAST",			true,	true,	1001 },
{ "GEORGIA WEST",			true,	true,	1002 },
{ "HAWAII 1",				true,	true,	5101 },
{ "HAWAII 2",				true,	true,	5102 },
{ "HAWAII 3",				true,	true,	5103 },
{ "HAWAII 4",				true,	true,	5104 },
{ "HAWAII 5",				true,	true,	5105 },
{ "IDAHO EAST",				true,	true,	1101 },
{ "IDAHO CENTRAL",			true,	true,	1102 },
{ "IDAHO WEST",				true,	true,	1103 },
{ "ILLINOIS EAST",			true,	true,	1201 },
{ "ILLINOIS WEST",			true,	true,	1202 },
{ "INDIANA EAST",			true,	true,	1301 },
{ "INDIANA WEST",			true,	true,	1302 },
{ "IOWA NORTH",				true,	true,	1401 },
{ "IOWA SOUTH",				true,	true,	1402 },
{ "KANSAS NORTH",			true,	true,	1501 },
{ "KANSAS SOUTH",			true,	true,	1502 },
{ "KENTUCKY NORTH",			true,	true,	1601 },
{ "KENTUCKY SOUTH",			true,	true,	1602 },
{ "LOUISIANA NORTH",		true,	true,	1701 },
{ "LOUISIANA SOUTH",		true,	true,	1702 },
//{ "LOUISIANA OFFSHORE",	true,	true,	1703 },	// Not actually present in EPSG table
{ "MAINE EAST",				true,	true,	1801 },
{ "MAINE WEST",				true,	true,	1802 },
{ "MARYLAND ---",			true,	true,	1900 },
{ "MASSACHUSETTS MAINLAND", true,	true,	2001 },
{ "MASSACHUSETTS ISLAND",	true,	true,	2002 },
{ "MICHIGAN EAST",			true,	false,	2101 }, // EAST is nad27 only
{ "MICHIGAN CENTRAL",		false,	true,	2112 },	// CENTRAL is nad83 only
{ "MICHIGAN CENTRAL/M",		true,	false,	2102 },	// CENTRAL/M is nad27 only
{ "MICHIGAN WEST",			true,	false,	2103 },	// WEST is nad27 only
{ "MICHIGAN NORTH",			true,	true,	2111 },
{ "MICHIGAN CENTRAL/L",		true,	false,	2112 },	// CENTRAL/L is nad27 only
{ "MICHIGAN SOUTH",			true,	true,	2113 },
{ "MINNESOTA NORTH",		true,	true,	2201 },
{ "MINNESOTA CENTRAL",		true,	true,	2202 },
{ "MINNESOTA SOUTH",		true,	true,	2203 },
{ "MISSISSIPPI EAST",		true,	true,	2301 },
{ "MISSISSIPPI WEST",		true,	true,	2302 },
{ "MISSOURI EAST",			true,	true,	2401 },
{ "MISSOURI CENTRAL",		true,	true,	2402 },
{ "MISSOURI WEST",			true,	true,	2403 },
{ "MONTANA",				false,	true,	2500 }, // MONTANA is nad83 only
{ "MONTANA NORTH",			true,	false,	2501 },	// NORTH is nad27 only
{ "MONTANA CENTRAL",		true,	false,	2502 },	// CENTRAL is nad27 only
{ "MONTANA SOUTH",			true,	false,	2503 },	// SOUTH is nad27 only
{ "NEBRASKA",				false,	true,	2600 }, // NEBRASKA is nad83 only
{ "NEBRASKA NORTH",			true,	false,	2601 },	// NORTH is nad27 only
{ "NEBRASKA SOUTH",			true,	false,	2602 },	// SOUTH is nad27 only
{ "NEVADA EAST",			true,	true,	2701 },
{ "NEVADA CENTRAL",			true,	true,	2702 },
{ "NEVADA WEST",			true,	true,	2703 },
{ "NEW HAMPSHIRE",			true,	true,	2800 },
{ "NEW JERSEY",				true,	true,	2900 },
{ "NEW MEXICO EAST",		true,	true,	3001 },
{ "NEW MEXICO CENTRAL",		true,	true,	3002 },
{ "NEW MEXICO WEST",		true,	true,	3003 },
{ "NEW YORK EAST",			true,	true,	3101 },
{ "NEW YORK CENTRAL",		true,	true,	3102 },
{ "NEW YORK WEST",			true,	true,	3103 },
{ "NEW YORK LONG ISLAND",	true,	true,	3104 },
{ "NORTH CAROLINA",			true,	true,	3200 },
{ "NORTH DAKOTA NORTH",		true,	true,	3301 },
{ "NORTH DAKOTA SOUTH",		true,	true,	3302 },
{ "OHIO NORTH",				true,	true,	3401 },
{ "OHIO SOUTH",				true,	true,	3402 },
{ "OKLAHOMA NORTH",			true,	true,	3501 },
{ "OKLAHOMA SOUTH",			true,	true,	3502 },
{ "OREGON NORTH",			true,	true,	3601 },
{ "OREGON SOUTH",			true,	true,	3602 },
{ "PENNSYLVANIA NORTH",		true,	true,	3701 },
{ "PENNSYLVANIA SOUTH",		true,	true,	3702 },
{ "RHODE ISLAND ---",		true,	true,	3800 },
{ "SOUTH CAROLINA",			false,	true,	3900 },
{ "SOUTH CAROLINA NORTH",	true,	false,	3902 },
{ "SOUTH CAROLINA SOUTH",	true,	false,	3902 },
{ "SOUTH DAKOTA NORTH",		true,	true,	4001 },
{ "SOUTH DAKOTA SOUTH",		true,	true,	4002 },
{ "TENNESSEE ---",			true,	true,	4100 },
{ "TEXAS NORTH",			true,	true,	4201 },
{ "TEXAS NORTH CENTRAL",	true,	true,	4202 },
{ "TEXAS CENTRAL",			true,	true,	4203 },
{ "TEXAS SOUTH CENTRAL",	true,	true,	4204 },
{ "TEXAS SOUTH",			true,	true,	4205 },
{ "UTAH NORTH",				true,	true,	4301 },
{ "UTAH CENTRAL",			true,	true,	4302 },
{ "UTAH SOUTH",				true,	true,	4303 },
{ "VERMONT ---",			true,	true,	4400 },
{ "VIRGINIA NORTH",			true,	true,	4501 },
{ "VIRGINIA SOUTH",			true,	true,	4502 },
{ "WASHINGTON NORTH",		true,	true,	4601 },
{ "WASHINGTON SOUTH",		true,	true,	4602 },
{ "WEST VIRGINIA NORTH",	true,	true,	4701 },
{ "WEST VIRGINIA SOUTH",	true,	true,	4702 },
{ "WISCONSIN NORTH",		true,	true,	4801 },
{ "WISCONSIN CENTRAL",		true,	true,	4802 },
{ "WISCONSIN SOUTH",		true,	true,	4803 },
{ "WYOMING EAST",			true,	true,	4901 },
{ "WYOMING EAST CENTRAL",	true,	true,	4902 },
{ "WYOMING WEST CENTRAL",	true,	true,	4903 },
{ "WYOMING WEST",			true,	true,	4904 },
{ "ALASKA ZONE NO. 1",		true,	true,	5001 },
{ "ALASKA ZONE NO. 2",		true,	true,	5002 },
{ "ALASKA ZONE NO. 3",		true,	true,	5003 },
{ "ALASKA ZONE NO. 4",		true,	true,	5004 },
{ "ALASKA ZONE NO. 5",		true,	true,	5005 },
{ "ALASKA ZONE NO. 6",		true,	true,	5006 },
{ "ALASKA ZONE NO. 7",		true,	true,	5007 },
{ "ALASKA ZONE NO. 8",		true,	true,	5008 },
{ "ALASKA ZONE NO. 9",		true,	true,	5009 },
{ "ALASKA ZONE NO. 10",		true,	true,	5010 },
{ "PUERTO RICO AND VIRGIN ISLANDS",			false,	true,	5200 },
{ "PUERTO RICO AND VIRGIN ISLANDS (NAD27)", true,	false,	5201 },
{ "VIRGIN ISLANDS ST. CROIX", true,	false,	5202 },	// nad27 only
{ "AMERICAN SAMOA",			true,	false,	5300 }	// nad27 only
//{ "GUAM ISLAND",			true,	false,	5400 }	// Not actually present in EPSG table
};

