<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>struct</name>
    <title>Built Structures</title>
    <filename>group__struct.html</filename>
    <class kind="class">vtBuilding3d</class>
    <class kind="class">vtFence3d</class>
    <class kind="class">vtStructure3d</class>
    <class kind="class">vtStructInstance3d</class>
    <class kind="class">vtStructureArray3d</class>
  </compound>
  <compound kind="group">
    <name>content</name>
    <title>Content Management</title>
    <filename>group__content.html</filename>
    <class kind="class">vtItem3d</class>
    <class kind="class">vtContentManager3d</class>
  </compound>
  <compound kind="group">
    <name>utility</name>
    <title>Utility classes</title>
    <filename>group__utility.html</filename>
    <class kind="class">vtContourConverter</class>
    <class kind="class">ElasticPolyline</class>
  </compound>
  <compound kind="group">
    <name>dynterr</name>
    <title>Dynamic Terrain (CLOD)</title>
    <filename>group__dynterr.html</filename>
    <class kind="class">BruteTerrain</class>
    <class kind="class">vtDynTerrainGeom</class>
    <class kind="class">SMTerrain</class>
    <class kind="class">SRTerrain</class>
    <class kind="class">vtTiledGeom</class>
  </compound>
  <compound kind="group">
    <name>eng</name>
    <title>Engines and Events</title>
    <filename>group__eng.html</filename>
    <class kind="class">vtEnabledBase</class>
    <class kind="class">vtEngine</class>
    <class kind="class">vtLastMouse</class>
    <class kind="class">vtSimpleBillboardEngine</class>
    <class kind="struct">vtMouseEvent</class>
    <class kind="class">vtTimeTarget</class>
    <class kind="class">vtTimeEngine</class>
  </compound>
  <compound kind="group">
    <name>nav</name>
    <title>Navigation</title>
    <filename>group__nav.html</filename>
    <class kind="struct">ControlPoint</class>
    <class kind="class">vtAnimPath</class>
    <class kind="class">vtAnimPathEngine</class>
    <class kind="class">vtLocation</class>
    <class kind="class">vtLocationSaver</class>
    <class kind="class">vtFlyer</class>
    <class kind="class">vtOrthoFlyer</class>
    <class kind="class">vtTerrainFlyer</class>
    <class kind="class">vtPanoFlyer</class>
    <class kind="class">vtTinFlyer</class>
    <class kind="class">VFlyer</class>
    <class kind="class">QuakeFlyer</class>
    <class kind="class">vtHeightConstrain</class>
    <class kind="class">vtTrackball</class>
  </compound>
  <compound kind="group">
    <name>veg</name>
    <title>Vegetation</title>
    <filename>group__veg.html</filename>
    <class kind="class">vtPlantAppearance3d</class>
    <class kind="class">vtPlantSpecies3d</class>
    <class kind="class">vtSpeciesList3d</class>
    <class kind="class">vtPlantInstance3d</class>
    <class kind="struct">vtPlantInstanceShader</class>
    <class kind="class">PlantCell</class>
    <class kind="class">vtPlantInstanceArray3d</class>
  </compound>
  <compound kind="group">
    <name>transp</name>
    <title>Transportation</title>
    <filename>group__transp.html</filename>
    <class kind="class">NodeGeom</class>
    <class kind="class">VirtualTexture</class>
    <class kind="class">LinkGeom</class>
    <class kind="class">vtRoadMap3d</class>
  </compound>
  <compound kind="group">
    <name>terrain</name>
    <title>Terrain</title>
    <filename>group__terrain.html</filename>
    <class kind="class">vtIcoGlobe</class>
    <class kind="class">vtStarDome</class>
    <class kind="class">vtSkyDome</class>
    <class kind="struct">vtShadowOptions</class>
    <class kind="class">vtTerrain</class>
    <class kind="class">vtLayer</class>
    <class kind="class">vtStructureLayer</class>
    <class kind="class">vtVegLayer</class>
    <class kind="class">vtImageLayer</class>
    <class kind="class">vtElevLayer</class>
    <class kind="class">LayerSet</class>
    <class kind="class">vtTerrainScene</class>
    <class kind="class">TParams</class>
    <member kind="typedef">
      <type>bool(*</type>
      <name>ProgFuncPtrType</name>
      <anchorfile>group__terrain.html</anchorfile>
      <anchor>gaa9d9f82796e61ecb3c96d36bc2887436</anchor>
      <arglist>)(int)</arglist>
    </member>
    <member kind="enumeration">
      <name>LodMethodEnum</name>
      <anchorfile>group__terrain.html</anchorfile>
      <anchor>gaaae8ad5ab1c4c2b7614217c848df7dce</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LM_ROETTGER</name>
      <anchorfile>group__terrain.html</anchorfile>
      <anchor>ggaaae8ad5ab1c4c2b7614217c848df7dcea69dd7550ecd0f6547ad13ab54dd43dd7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LM_TOPOVISTA</name>
      <anchorfile>group__terrain.html</anchorfile>
      <anchor>ggaaae8ad5ab1c4c2b7614217c848df7dceafaaa66ef141d9f617b5bc8e470b66f6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LM_MCNALLY</name>
      <anchorfile>group__terrain.html</anchorfile>
      <anchor>ggaaae8ad5ab1c4c2b7614217c848df7dcea22cdc865a4038a35bbcfd071fef2f657</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LM_DEMETER</name>
      <anchorfile>group__terrain.html</anchorfile>
      <anchor>ggaaae8ad5ab1c4c2b7614217c848df7dcea06fae124464010116df7f7f246f70c3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LM_BRUTE</name>
      <anchorfile>group__terrain.html</anchorfile>
      <anchor>ggaaae8ad5ab1c4c2b7614217c848df7dceaf22776b88f691f3b6eaee7f547bfec96</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>tin</name>
    <title>TINs</title>
    <filename>group__tin.html</filename>
    <class kind="class">vtTin3d</class>
  </compound>
  <compound kind="group">
    <name>sg</name>
    <title>Scene graph</title>
    <filename>group__sg.html</filename>
    <class kind="class">vtGeomFactory</class>
    <class kind="class">vtDimension</class>
    <class kind="class">vtDynBoundBox</class>
    <class kind="class">vtLodGrid</class>
    <class kind="class">vtSimpleLodGrid</class>
    <class kind="class">vtMaterial</class>
    <class kind="class">vtMaterialArray</class>
    <class kind="class">vtMesh</class>
    <class kind="class">vtTextMesh</class>
    <class kind="struct">NodeExtension</class>
    <class kind="struct">TransformExtension</class>
    <class kind="class">vtGroup</class>
    <class kind="class">vtTransform</class>
    <class kind="class">vtFog</class>
    <class kind="class">vtShadow</class>
    <class kind="class">vtLightSource</class>
    <class kind="class">vtGeode</class>
    <class kind="class">vtMovGeode</class>
    <class kind="class">vtLOD</class>
    <class kind="class">vtCamera</class>
    <class kind="class">vtHUD</class>
    <class kind="class">vtDynGeom</class>
    <class kind="struct">vtHit</class>
    <class kind="struct">vtPrimInfo</class>
    <class kind="class">vtWindow</class>
    <class kind="class">vtScene</class>
    <member kind="typedef">
      <type>osg::ref_ptr&lt; osgText::Font &gt;</type>
      <name>vtFontPtr</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga66e047d8ebca469f399e06347788836c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>vtGeode *</type>
      <name>Create3DCursor</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga385e7a6b63c48e07b55b00f720daed45</anchor>
      <arglist>(float fSize, float fSmall, float fAlpha=0.5f)</arglist>
    </member>
    <member kind="function">
      <type>vtGeode *</type>
      <name>CreateBoundSphereGeode</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga8aad25207b9f04459ec81dfe2b49ea79</anchor>
      <arglist>(const FSphere &amp;sphere, int res=24)</arglist>
    </member>
    <member kind="function">
      <type>vtMesh *</type>
      <name>CreateSphereMesh</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga649c9534d30eec08328428d23cd01a71</anchor>
      <arglist>(const FSphere &amp;sphere, int res=24)</arglist>
    </member>
    <member kind="function">
      <type>vtGeode *</type>
      <name>CreateBlockGeom</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga419ecd1961e2ad9930e52cfc067687ee</anchor>
      <arglist>(const vtMaterialArray *pMats, int iMatIdx, const FPoint3 &amp;size)</arglist>
    </member>
    <member kind="function">
      <type>vtGeode *</type>
      <name>CreateSphereGeom</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gaac826b79bf179a2a111af052503c6286</anchor>
      <arglist>(const vtMaterialArray *pMats, int iMatIdx, int iVertType, float fRadius, int res)</arglist>
    </member>
    <member kind="function">
      <type>vtGeode *</type>
      <name>CreateCylinderGeom</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gaa82714242867f24f74647b5f209b8ced</anchor>
      <arglist>(const vtMaterialArray *pMats, int iMatIdx, int iVertType, float hHeight, float fRadius, int res, bool bTop=true, bool bBottom=true, bool bCentered=true, int direction=1)</arglist>
    </member>
    <member kind="function">
      <type>vtGeode *</type>
      <name>CreateLineGridGeom</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gaa9da5582db43ab61b836f4cb1c7efba1</anchor>
      <arglist>(const vtMaterialArray *pMats, int iMatIdx, const FPoint3 &amp;min1, const FPoint3 &amp;max1, int steps)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>WriteGeomToOBJ</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga7da292f1488da934fee00a88c7956427</anchor>
      <arglist>(vtGeode *geode, const char *filename)</arglist>
    </member>
    <member kind="function">
      <type>osg::Image *</type>
      <name>LoadOsgImage</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga812c75e6009b96926d8d71e9e93c48c3</anchor>
      <arglist>(const char *fname)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>FindAncestor</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gaf46b77ba42631d7800ef104f1f452452</anchor>
      <arglist>(osg::Node *node, osg::Node *parent)</arglist>
    </member>
    <member kind="function">
      <type>osg::Node *</type>
      <name>FindDescendent</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gab3a8e7315e21b9f5ed31ffa7e50132d2</anchor>
      <arglist>(osg::Group *node, const char *pName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>InsertNodeAbove</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gad7f402bc266871a7aaea1c75de2665d7</anchor>
      <arglist>(osg::Node *node, osg::Group *newnode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>InsertNodeBelow</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gaa178ca8a2940810a42bffcb7bfb357ba</anchor>
      <arglist>(osg::Group *group, osg::Group *newnode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>LocalToWorld</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga9242f569a51d3855a9d0b95d5cd93813</anchor>
      <arglist>(osg::Node *node, FPoint3 &amp;point)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gae2376dbf832d40202a674cc5d697e0e3</anchor>
      <arglist>(osg::Node *node, FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ApplyVertexRotation</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga1678a397ffa1d921dc59565844382c2a</anchor>
      <arglist>(osg::Node *node, const FPoint3 &amp;axis, float angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ApplyVertexTransform</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga06d4693194454002afa53afac6e2c2fd</anchor>
      <arglist>(osg::Node *node, const FMatrix4 &amp;mat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>vtLogGraph</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga4f981bec3116e3ed1c2fc867f1f841a7</anchor>
      <arglist>(osg::Node *node, bool bExtents=false, bool bRefCounts=false, int indent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>WriteDotFile</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gacdd5013a526dc521a46f76196f8a7b01</anchor>
      <arglist>(osg::Group *node, const char *filename)</arglist>
    </member>
    <member kind="function">
      <type>osg::Node *</type>
      <name>vtLoadModel</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gafb832ccdc2cdfcf85ade172fb8628369</anchor>
      <arglist>(const char *filename, bool bAllowCache=true, bool bDisableMipmaps=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>vtIntersect</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga453f088f2883b4d2e446fc5178737669</anchor>
      <arglist>(osg::Node *pTop, const FPoint3 &amp;start, const FPoint3 &amp;end, vtHitList &amp;hitlist, bool bLocalCoords=false, bool bNativeNodes=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNodeBoundBox</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>gabc9f21c9a4d4a7c6445c3c1a7466877f</anchor>
      <arglist>(osg::Node *node, FBox3 &amp;box)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNodePrimCounts</name>
      <anchorfile>group__sg.html</anchorfile>
      <anchor>ga05ec9d2fb775d70b3eda1c7555740788</anchor>
      <arglist>(osg::Node *node, vtPrimInfo &amp;info)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>BruteTerrain</name>
    <filename>classBruteTerrain.html</filename>
    <base>vtDynTerrainGeom</base>
    <member kind="function">
      <type>DTErr</type>
      <name>BasicInit</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a88a01cc3aae5f013f2e060a6f1673491</anchor>
      <arglist>(const vtElevationGrid *pGrid)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetPolygonTarget</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a0f2933e473e36a9bbcfdd78e2a819202</anchor>
      <arglist>(int iPolygonCount)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetPolygonTarget</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>ace63da047e04432c229bfc68201fd66f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>NumDrawnTriangles</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a3c8891afd17fc7a12d8d34e6d5beeb20</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>ControlPoint</name>
    <filename>structControlPoint.html</filename>
    <member kind="function">
      <type></type>
      <name>ControlPoint</name>
      <anchorfile>structControlPoint.html</anchorfile>
      <anchor>ae2d3b876fa290a769fa5c41fa17a3aac</anchor>
      <arglist>(const FPoint3 &amp;position)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ControlPoint</name>
      <anchorfile>structControlPoint.html</anchorfile>
      <anchor>a5e231f20796ec607beb172a30b9b32e0</anchor>
      <arglist>(const FPoint3 &amp;position, const FQuat &amp;rotation)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>CScreenCaptureHandler</name>
    <filename>classCScreenCaptureHandler.html</filename>
  </compound>
  <compound kind="class">
    <name>CSimpleInterimShadowTechnique</name>
    <filename>classCSimpleInterimShadowTechnique.html</filename>
  </compound>
  <compound kind="class">
    <name>ElasticPolyline</name>
    <filename>classElasticPolyline.html</filename>
  </compound>
  <compound kind="class">
    <name>GlobeLayer</name>
    <filename>classGlobeLayer.html</filename>
    <base>vtGroup</base>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>GlobePicker</name>
    <filename>classGlobePicker.html</filename>
    <base>vtLastMouse</base>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classGlobePicker.html</anchorfile>
      <anchor>a08d525200008b2b2148bf6069345d2df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>abd055c37e13cd344137d5e032a49a194</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>LayerSet</name>
    <filename>classLayerSet.html</filename>
  </compound>
  <compound kind="class">
    <name>LinkGeom</name>
    <filename>classLinkGeom.html</filename>
    <base>TLink</base>
  </compound>
  <compound kind="class">
    <name>MapOverviewEngine</name>
    <filename>classMapOverviewEngine.html</filename>
    <base>vtEngine</base>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classMapOverviewEngine.html</anchorfile>
      <anchor>aa08212c3baea8ebc5a7fae0fde2cec93</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classMapOverviewEngine.html</anchorfile>
      <anchor>a221d29b5fe39e4d8f6e44b81c0cef604</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>NodeExtension</name>
    <filename>structNodeExtension.html</filename>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NodeGeom</name>
    <filename>classNodeGeom.html</filename>
    <base>TNode</base>
  </compound>
  <compound kind="class">
    <name>PlantCell</name>
    <filename>classPlantCell.html</filename>
  </compound>
  <compound kind="class">
    <name>QuakeFlyer</name>
    <filename>classQuakeFlyer.html</filename>
    <base>vtTerrainFlyer</base>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classQuakeFlyer.html</anchorfile>
      <anchor>a48881ceb8aba4848423e229173e91340</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnKey</name>
      <anchorfile>classQuakeFlyer.html</anchorfile>
      <anchor>acadd527e21b31d8151c3493ea18af9db</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetHeightField</name>
      <anchorfile>classvtTerrainFlyer.html</anchorfile>
      <anchor>a8566e3b8b0f71cffd253a467a6132dc9</anchor>
      <arglist>(const vtHeightField3d *pHF)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa7f71ba5355653e87207f0eeddba77b9</anchor>
      <arglist>(float fSpeed)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>a61b069813864e15e8d038b44ba883149</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa6fd1f786f5368e5de78710cc17fee07</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetCurrentSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>af95955317ef83f4a9e8a3eca2bff3a67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SMTerrain</name>
    <filename>classSMTerrain.html</filename>
    <base>vtDynTerrainGeom</base>
    <member kind="function">
      <type>DTErr</type>
      <name>Init</name>
      <anchorfile>classSMTerrain.html</anchorfile>
      <anchor>a85defd52082ced165458d87f2d8bd689</anchor>
      <arglist>(const vtElevationGrid *pGrid, float fZScale)</arglist>
    </member>
    <member kind="function">
      <type>DTErr</type>
      <name>BasicInit</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a88a01cc3aae5f013f2e060a6f1673491</anchor>
      <arglist>(const vtElevationGrid *pGrid)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetPolygonTarget</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a0f2933e473e36a9bbcfdd78e2a819202</anchor>
      <arglist>(int iPolygonCount)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetPolygonTarget</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>ace63da047e04432c229bfc68201fd66f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>NumDrawnTriangles</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a3c8891afd17fc7a12d8d34e6d5beeb20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a9112ff82406a1be45eafbdc0e8238b43</anchor>
      <arglist>(const FSphere &amp;sphere) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>aba273044abb7e8ac9d14b8ea2df76fac</anchor>
      <arglist>(const FPoint3 &amp;point0, const FPoint3 &amp;point1, const FPoint3 &amp;point2, const float fTolerance=0.0f) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a359ecf3b7c460f55bc25c3d70621105c</anchor>
      <arglist>(const FPoint3 &amp;point, float radius) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a45c7b02936af6af36b9b654b59a2561c</anchor>
      <arglist>(const FPoint3 &amp;point) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>aee89dfb560f8eb4b7e0b108af7afa5e9</anchor>
      <arglist>(vtMesh *pMesh, int iMatIdx)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>acb7fe87cc2be5ee98a90760619f5bf0f</anchor>
      <arglist>(vtMesh *pMesh)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveAllMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a67f306e5abaefd1e9c5c35d7d25e8c2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a5afeb3d245e4314080619d676f149fe3</anchor>
      <arglist>(vtTextMesh *pMesh, int iMatIdx, bool bOutline=true)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a15918dc78ef245388fb44574e64ea3f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>vtMesh *</type>
      <name>GetMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>addab469e134d0b2782480f4c6ca4de22</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>vtTextMesh *</type>
      <name>GetTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a1c7f26bee21c81f0f4de2c92ad27cf3a</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SRTerrain</name>
    <filename>classSRTerrain.html</filename>
    <base>vtDynTerrainGeom</base>
    <member kind="function">
      <type>void</type>
      <name>SetPolygonTarget</name>
      <anchorfile>classSRTerrain.html</anchorfile>
      <anchor>a7c7766c1db64956b556cf9b7f6b452d3</anchor>
      <arglist>(int iCount)</arglist>
    </member>
    <member kind="function">
      <type>DTErr</type>
      <name>BasicInit</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a88a01cc3aae5f013f2e060a6f1673491</anchor>
      <arglist>(const vtElevationGrid *pGrid)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetPolygonTarget</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>ace63da047e04432c229bfc68201fd66f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>NumDrawnTriangles</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a3c8891afd17fc7a12d8d34e6d5beeb20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a9112ff82406a1be45eafbdc0e8238b43</anchor>
      <arglist>(const FSphere &amp;sphere) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>aba273044abb7e8ac9d14b8ea2df76fac</anchor>
      <arglist>(const FPoint3 &amp;point0, const FPoint3 &amp;point1, const FPoint3 &amp;point2, const float fTolerance=0.0f) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a359ecf3b7c460f55bc25c3d70621105c</anchor>
      <arglist>(const FPoint3 &amp;point, float radius) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a45c7b02936af6af36b9b654b59a2561c</anchor>
      <arglist>(const FPoint3 &amp;point) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>aee89dfb560f8eb4b7e0b108af7afa5e9</anchor>
      <arglist>(vtMesh *pMesh, int iMatIdx)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>acb7fe87cc2be5ee98a90760619f5bf0f</anchor>
      <arglist>(vtMesh *pMesh)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveAllMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a67f306e5abaefd1e9c5c35d7d25e8c2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a5afeb3d245e4314080619d676f149fe3</anchor>
      <arglist>(vtTextMesh *pMesh, int iMatIdx, bool bOutline=true)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a15918dc78ef245388fb44574e64ea3f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>vtMesh *</type>
      <name>GetMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>addab469e134d0b2782480f4c6ca4de22</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>vtTextMesh *</type>
      <name>GetTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a1c7f26bee21c81f0f4de2c92ad27cf3a</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TerrainPicker</name>
    <filename>classTerrainPicker.html</filename>
    <base>vtLastMouse</base>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classTerrainPicker.html</anchorfile>
      <anchor>af67c78471b1a59d0c041e449b40d3282</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classTerrainPicker.html</anchorfile>
      <anchor>af7c6a105ac6352c32556d03980745ab0</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TParams</name>
    <filename>classTParams.html</filename>
    <base>vtTagArray</base>
  </compound>
  <compound kind="struct">
    <name>TransformExtension</name>
    <filename>structTransformExtension.html</filename>
    <base>NodeExtension</base>
    <member kind="function">
      <type>void</type>
      <name>Identity</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a28280a8b078e6cd93ca335e59f705b50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTrans</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>af128eb7b9cca70db34707a20b3ac6678</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetTrans</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>ae3e496126df1de6f0c10bd2599cc4108</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Translate</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a65d20098fb983642790ec2e954f813a7</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>TranslateLocal</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>af7fabfa84a28630baa579b24d8e97778</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Rotate</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a448328c75901ee00305fb2716970b2c4</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RotateLocal</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>aa73f108fc71b657a787f6365befbd5c3</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RotateParent</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a538bffe00f474640359ef5723ffa59dd</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>FQuat</type>
      <name>GetOrient</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a0a8d7824b95746cf432c627cea1f09bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetDirection</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>ad152e97839fb8979821cd1f416eca939</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetDirection</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a1e831b4c3f15c920b413203363c67dd6</anchor>
      <arglist>(const FPoint3 &amp;point, bool bPitch=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Scale</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a16486afe0c240b84510bfb089bf6baf1</anchor>
      <arglist>(float factor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Scale</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a4079e9b135fc1c2f22621230bd4321fb</anchor>
      <arglist>(float x, float y, float z)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTransform</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a182f7d969245897aca264e181fb604e3</anchor>
      <arglist>(const FMatrix4 &amp;mat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetTransform</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a8cc2bcacd5c1acfcf725b48da6e68317</anchor>
      <arglist>(FMatrix4 &amp;mat) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PointTowards</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a4d2452e5a83daf9b580a3fdde3b29f0f</anchor>
      <arglist>(const FPoint3 &amp;point, bool bPitch=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VFlyer</name>
    <filename>classVFlyer.html</filename>
    <base>vtTerrainFlyer</base>
    <member kind="function">
      <type>void</type>
      <name>SetGravity</name>
      <anchorfile>classVFlyer.html</anchorfile>
      <anchor>a8f9ba0d1d58f03a9db8e149d15f42439</anchor>
      <arglist>(float grav)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetGroundTester</name>
      <anchorfile>classVFlyer.html</anchorfile>
      <anchor>a1e64cbfe6fd68a7fe971963f260fca78</anchor>
      <arglist>(vtHeightConstrain *pEng)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetDamping</name>
      <anchorfile>classVFlyer.html</anchorfile>
      <anchor>af5d3e6d21d686e42542c1407c8cb9dbf</anchor>
      <arglist>(float factor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classVFlyer.html</anchorfile>
      <anchor>a1aee0d59f510d952e5e62d1020f83371</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classVFlyer.html</anchorfile>
      <anchor>a498cddca8a71a5fd2ffdd416dbf1cb28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetHeightField</name>
      <anchorfile>classvtTerrainFlyer.html</anchorfile>
      <anchor>a8566e3b8b0f71cffd253a467a6132dc9</anchor>
      <arglist>(const vtHeightField3d *pHF)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa7f71ba5355653e87207f0eeddba77b9</anchor>
      <arglist>(float fSpeed)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>a61b069813864e15e8d038b44ba883149</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetCurrentSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>af95955317ef83f4a9e8a3eca2bff3a67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>VirtualTexture</name>
    <filename>classVirtualTexture.html</filename>
  </compound>
  <compound kind="class">
    <name>vtAbstractLayer</name>
    <filename>classvtAbstractLayer.html</filename>
    <base>vtLayer</base>
    <member kind="function">
      <type>void</type>
      <name>CreateFeatureVisuals</name>
      <anchorfile>classvtAbstractLayer.html</anchorfile>
      <anchor>aeb3062498d75236ee768dea85b2f693c</anchor>
      <arglist>(osg::Group *pParent, vtHeightField3d *pHF, float fSpacing, bool progress_callback(int)=NULL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateLineGeometryForPoints</name>
      <anchorfile>classvtAbstractLayer.html</anchorfile>
      <anchor>ad8bd79a5fc5cc171e6124f4d644e45f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateObjectGeometry</name>
      <anchorfile>classvtAbstractLayer.html</anchorfile>
      <anchor>a87ff620506fb6df7aa8c4f16b3b68bfc</anchor>
      <arglist>(uint iIndex)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateLineGeometry</name>
      <anchorfile>classvtAbstractLayer.html</anchorfile>
      <anchor>a27257e202c7caa6c8f2ec8bf8ab30f4f</anchor>
      <arglist>(uint iIndex)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateFeatureLabel</name>
      <anchorfile>classvtAbstractLayer.html</anchorfile>
      <anchor>a93174b715eb497fbc75ae43801f8c989</anchor>
      <arglist>(uint iIndex)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ReleaseGeometry</name>
      <anchorfile>classvtAbstractLayer.html</anchorfile>
      <anchor>ab2ddfa72458392f4d6a602f222ab2d71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ReleaseFeatureGeometry</name>
      <anchorfile>classvtAbstractLayer.html</anchorfile>
      <anchor>a5381c81af96c5abed32255cdebf96e8e</anchor>
      <arglist>(vtFeature *f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetProps</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>ab399fb782480d39cf272787202c25b1a</anchor>
      <arglist>(const vtTagArray &amp;props)</arglist>
    </member>
    <member kind="function">
      <type>vtTagArray &amp;</type>
      <name>Props</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>af72b5f9511dfa4e3907a3bc1a567de20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>vtFeatureSet *</type>
      <name>m_pSet</name>
      <anchorfile>classvtAbstractLayer.html</anchorfile>
      <anchor>aa71c9a72b3d87be8799e461fea924809</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtAnimPath</name>
    <filename>classvtAnimPath.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>SetProjection</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>a1e37d97bc91cffb995712f13743955c8</anchor>
      <arglist>(const vtProjection &amp;proj, const LocalCS &amp;conv)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetMatrix</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>af0044982b2d07659e3d607dcf209ae97</anchor>
      <arglist>(double time, FMatrix4 &amp;matrix, bool bPosOnly) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>GetInterpolatedControlPoint</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>a7492c17a62763a34b354800fee3be808</anchor>
      <arglist>(double time, ControlPoint &amp;controlPoint) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Insert</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>a195d49fb90d1f7f2ceb20c528ad96c85</anchor>
      <arglist>(double time, const ControlPoint &amp;controlPoint)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemovePoint</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>aada6aff9892a27aa7cdd7339521db2f4</anchor>
      <arglist>(int index)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumPoints</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>a047a1dc8291abc8efda849e7d2d2ecf6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetInterpMode</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>a4e5d1c6fd02383588f37d927f84aaa09</anchor>
      <arglist>(InterpMode mode)</arglist>
    </member>
    <member kind="function">
      <type>InterpMode</type>
      <name>GetInterpMode</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>a3279ef5b026fcbebfceb6d2a230b4bf1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetLoop</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>ae5a4cb6d82242effb7352f522cfeaaf1</anchor>
      <arglist>(bool bFlag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetLoop</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>a456972b6520644d2d6d82296cd9a8bcf</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Write</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>a01ea727d707c503103584b9eda1937e3</anchor>
      <arglist>(const char *fname)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Read</name>
      <anchorfile>classvtAnimPath.html</anchorfile>
      <anchor>af80558157338bd1c137038fd55273359</anchor>
      <arglist>(const char *fname)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtAnimPathEngine</name>
    <filename>classvtAnimPathEngine.html</filename>
    <base>vtEngine</base>
    <member kind="function">
      <type>void</type>
      <name>SetAnimationPath</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>af3a94bba26cbee39fd898b60274a2fb2</anchor>
      <arglist>(vtAnimPath *path)</arglist>
    </member>
    <member kind="function">
      <type>vtAnimPath *</type>
      <name>GetAnimationPath</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>a678d3a196916169cb7638f1e28f48ff7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const vtAnimPath *</type>
      <name>GetAnimationPath</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>a14ec0b40cb019ef2f9ce8fe90b833bf0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Reset</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>a57d8517cca6baa78ec3d9cc827f7dd8e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSpeed</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>a8679a80766bb983c7b2cd7bc445c2b2f</anchor>
      <arglist>(float fSpeed)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetSpeed</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>a9c8730d031b960173ee0040cfc453a0c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetContinuous</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>a93c5e148dd1201f8b3d3ee4c88675b00</anchor>
      <arglist>(bool bFlag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetContinuous</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>af2628f0654aa4d7243f9f3e285436bb1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetPosOnly</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>a223d47ffd7c8bc0878af938ba0b7efcd</anchor>
      <arglist>(bool bFlag)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetPosOnly</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>aeb43bda6f254b8a48ee072e5a7de86ca</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Eval</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>aecf2f7e83b975f5b1b1999b4205621d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTime</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>acaeccc0ac9ffb9a66452a9a318e48b37</anchor>
      <arglist>(float fTime)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetTime</name>
      <anchorfile>classvtAnimPathEngine.html</anchorfile>
      <anchor>a91d5a0b02fbba6280af60b9b081adc8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnMouse</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a2b3ab30d42068caa38e0a1690a6f5709</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtBuilding3d</name>
    <filename>classvtBuilding3d.html</filename>
    <base>vtBuilding</base>
    <base>vtStructure3d</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>CreateNode</name>
      <anchorfile>classvtBuilding3d.html</anchorfile>
      <anchor>ae544bcad1ecf7d6653dfc0abdf37b552</anchor>
      <arglist>(vtTerrain *pTerr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual vtGeode *</type>
      <name>GetGeom</name>
      <anchorfile>classvtBuilding3d.html</anchorfile>
      <anchor>ae5b1c6b50f2d303089198db0a20f3fff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowBounds</name>
      <anchorfile>classvtBuilding3d.html</anchorfile>
      <anchor>a2a48d50f9c9bd707e11db035dddaff1b</anchor>
      <arglist>(bool bShow)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>AddWallSection</name>
      <anchorfile>classvtBuilding3d.html</anchorfile>
      <anchor>a7fdc3e3ca2d094bba55295c221030f9d</anchor>
      <arglist>(vtEdge *pEdge, bool bUniform, const FLine3 &amp;quad, float h1, float h2, float hf1=-1.0f)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>AddHighlightSection</name>
      <anchorfile>classvtBuilding3d.html</anchorfile>
      <anchor>a620010508b5882e0160fbe4148544964</anchor>
      <arglist>(vtEdge *pEdge, const FLine3 &amp;quad)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>AddDoorSection</name>
      <anchorfile>classvtBuilding3d.html</anchorfile>
      <anchor>abfe009599ca4dba05717d4d51ba1c2e5</anchor>
      <arglist>(vtEdge *pWall, vtEdgeFeature *pFeat, const FLine3 &amp;quad)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtCamera</name>
    <filename>classvtCamera.html</filename>
    <base>vtTransform</base>
    <member kind="function">
      <type>void</type>
      <name>SetHither</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>a1c9eb053bcb9d83e6879330235540b43</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetHither</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>a36886a9cb7417d5cf93856c5f380c5d2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetYon</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>acd4c1bf57aa8989451ce3d0068865f09</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetYon</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>af01706b61998fe66b53e7c378b8abb7c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetFOV</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>acafefd817aa48a32754484b7dd853543</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetFOV</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>a6cde922569e6d83b9c452f37f9931d30</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetVertFOV</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>a4e4c3fc0dc919b082c6ad7579b5b8d68</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetOrtho</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>a60064612b11479f6a1a7786001918b9d</anchor>
      <arglist>(bool bOrtho)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsOrtho</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>af7278d060929880611d44dbca1cd3ce4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetWidth</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>a17fc6bb4f9319c0844b36091e7467c0c</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetWidth</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>a2ece33728b07e692c50166caf382e088</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ZoomToSphere</name>
      <anchorfile>classvtCamera.html</anchorfile>
      <anchor>af86f4fe9d16b6c4f307c01093162dac0</anchor>
      <arglist>(const FSphere &amp;sphere, float fPitch=0.0f)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtContentManager3d</name>
    <filename>classvtContentManager3d.html</filename>
    <base>vtContentManager</base>
  </compound>
  <compound kind="class">
    <name>vtContourConverter</name>
    <filename>classvtContourConverter.html</filename>
    <member kind="function">
      <type>vtGeode *</type>
      <name>Setup</name>
      <anchorfile>classvtContourConverter.html</anchorfile>
      <anchor>a0cba5f9b78fac21a24ac3c1973f89ba3</anchor>
      <arglist>(vtTerrain *pTerr, const RGBf &amp;color, float fHeight)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Setup</name>
      <anchorfile>classvtContourConverter.html</anchorfile>
      <anchor>a44d7050122098b6ae8b8541b44e94f62</anchor>
      <arglist>(vtTerrain *pTerr, vtFeatureSetLineString *fset)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GenerateContour</name>
      <anchorfile>classvtContourConverter.html</anchorfile>
      <anchor>aea584f5d4ca5aa9b6dd7540c70c1b8dc</anchor>
      <arglist>(float fAlt)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GenerateContours</name>
      <anchorfile>classvtContourConverter.html</anchorfile>
      <anchor>a81a6cda71d868721e3d4ab0727fc2693</anchor>
      <arglist>(float fAInterval)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Finish</name>
      <anchorfile>classvtContourConverter.html</anchorfile>
      <anchor>a3055056108f5da31e1e0ea9e442dba6d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtDimension</name>
    <filename>classvtDimension.html</filename>
    <base>vtTransform</base>
    <member kind="function">
      <type>void</type>
      <name>Identity</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a28280a8b078e6cd93ca335e59f705b50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTrans</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>af128eb7b9cca70db34707a20b3ac6678</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetTrans</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>ae3e496126df1de6f0c10bd2599cc4108</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Translate</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a65d20098fb983642790ec2e954f813a7</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>TranslateLocal</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>af7fabfa84a28630baa579b24d8e97778</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Rotate</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a448328c75901ee00305fb2716970b2c4</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RotateLocal</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>aa73f108fc71b657a787f6365befbd5c3</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RotateParent</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a538bffe00f474640359ef5723ffa59dd</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>FQuat</type>
      <name>GetOrient</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a0a8d7824b95746cf432c627cea1f09bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetDirection</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>ad152e97839fb8979821cd1f416eca939</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetDirection</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a1e831b4c3f15c920b413203363c67dd6</anchor>
      <arglist>(const FPoint3 &amp;point, bool bPitch=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Scale</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a16486afe0c240b84510bfb089bf6baf1</anchor>
      <arglist>(float factor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Scale</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a4079e9b135fc1c2f22621230bd4321fb</anchor>
      <arglist>(float x, float y, float z)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTransform</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a182f7d969245897aca264e181fb604e3</anchor>
      <arglist>(const FMatrix4 &amp;mat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetTransform</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a8cc2bcacd5c1acfcf725b48da6e68317</anchor>
      <arglist>(FMatrix4 &amp;mat) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PointTowards</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a4d2452e5a83daf9b580a3fdde3b29f0f</anchor>
      <arglist>(const FPoint3 &amp;point, bool bPitch=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtDynBoundBox</name>
    <filename>classvtDynBoundBox.html</filename>
  </compound>
  <compound kind="class">
    <name>vtDynGeom</name>
    <filename>classvtDynGeom.html</filename>
    <base>vtGeode</base>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a9112ff82406a1be45eafbdc0e8238b43</anchor>
      <arglist>(const FSphere &amp;sphere) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>aba273044abb7e8ac9d14b8ea2df76fac</anchor>
      <arglist>(const FPoint3 &amp;point0, const FPoint3 &amp;point1, const FPoint3 &amp;point2, const float fTolerance=0.0f) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a359ecf3b7c460f55bc25c3d70621105c</anchor>
      <arglist>(const FPoint3 &amp;point, float radius) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a45c7b02936af6af36b9b654b59a2561c</anchor>
      <arglist>(const FPoint3 &amp;point) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>aee89dfb560f8eb4b7e0b108af7afa5e9</anchor>
      <arglist>(vtMesh *pMesh, int iMatIdx)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>acb7fe87cc2be5ee98a90760619f5bf0f</anchor>
      <arglist>(vtMesh *pMesh)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveAllMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a67f306e5abaefd1e9c5c35d7d25e8c2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a5afeb3d245e4314080619d676f149fe3</anchor>
      <arglist>(vtTextMesh *pMesh, int iMatIdx, bool bOutline=true)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a15918dc78ef245388fb44574e64ea3f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>vtMesh *</type>
      <name>GetMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>addab469e134d0b2782480f4c6ca4de22</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>vtTextMesh *</type>
      <name>GetTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a1c7f26bee21c81f0f4de2c92ad27cf3a</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtDynTerrainGeom</name>
    <filename>classvtDynTerrainGeom.html</filename>
    <base>vtDynGeom</base>
    <base>vtHeightFieldGrid3d</base>
    <member kind="function">
      <type>DTErr</type>
      <name>BasicInit</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a88a01cc3aae5f013f2e060a6f1673491</anchor>
      <arglist>(const vtElevationGrid *pGrid)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>SetPolygonTarget</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a0f2933e473e36a9bbcfdd78e2a819202</anchor>
      <arglist>(int iPolygonCount)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>GetPolygonTarget</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>ace63da047e04432c229bfc68201fd66f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>NumDrawnTriangles</name>
      <anchorfile>classvtDynTerrainGeom.html</anchorfile>
      <anchor>a3c8891afd17fc7a12d8d34e6d5beeb20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a9112ff82406a1be45eafbdc0e8238b43</anchor>
      <arglist>(const FSphere &amp;sphere) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>aba273044abb7e8ac9d14b8ea2df76fac</anchor>
      <arglist>(const FPoint3 &amp;point0, const FPoint3 &amp;point1, const FPoint3 &amp;point2, const float fTolerance=0.0f) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a359ecf3b7c460f55bc25c3d70621105c</anchor>
      <arglist>(const FPoint3 &amp;point, float radius) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a45c7b02936af6af36b9b654b59a2561c</anchor>
      <arglist>(const FPoint3 &amp;point) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>aee89dfb560f8eb4b7e0b108af7afa5e9</anchor>
      <arglist>(vtMesh *pMesh, int iMatIdx)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>acb7fe87cc2be5ee98a90760619f5bf0f</anchor>
      <arglist>(vtMesh *pMesh)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveAllMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a67f306e5abaefd1e9c5c35d7d25e8c2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a5afeb3d245e4314080619d676f149fe3</anchor>
      <arglist>(vtTextMesh *pMesh, int iMatIdx, bool bOutline=true)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a15918dc78ef245388fb44574e64ea3f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>vtMesh *</type>
      <name>GetMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>addab469e134d0b2782480f4c6ca4de22</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>vtTextMesh *</type>
      <name>GetTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a1c7f26bee21c81f0f4de2c92ad27cf3a</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtElevLayer</name>
    <filename>classvtElevLayer.html</filename>
    <base>vtLayer</base>
    <member kind="function">
      <type>void</type>
      <name>SetProps</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>ab399fb782480d39cf272787202c25b1a</anchor>
      <arglist>(const vtTagArray &amp;props)</arglist>
    </member>
    <member kind="function">
      <type>vtTagArray &amp;</type>
      <name>Props</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>af72b5f9511dfa4e3907a3bc1a567de20</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtEnabledBase</name>
    <filename>classvtEnabledBase.html</filename>
  </compound>
  <compound kind="class">
    <name>vtEngine</name>
    <filename>classvtEngine.html</filename>
    <base>vtEnabledBase</base>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnMouse</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a2b3ab30d42068caa38e0a1690a6f5709</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Eval</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a1e0139fd04f2ce79341e1c9ba403a91e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtFence3d</name>
    <filename>classvtFence3d.html</filename>
    <base>vtFence</base>
    <base>vtStructure3d</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>CreateNode</name>
      <anchorfile>classvtFence3d.html</anchorfile>
      <anchor>a72b80258fdca58469a44b6bcf629ec5f</anchor>
      <arglist>(vtTerrain *pTerr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual vtGeode *</type>
      <name>GetGeom</name>
      <anchorfile>classvtFence3d.html</anchorfile>
      <anchor>a3abd0e39e553b67fc238d684e3c61b59</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowBounds</name>
      <anchorfile>classvtFence3d.html</anchorfile>
      <anchor>a2c66f4593038a7323e1b7179b20aea86</anchor>
      <arglist>(bool bShow)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtFlyer</name>
    <filename>classvtFlyer.html</filename>
    <base>vtLastMouse</base>
    <member kind="function">
      <type>void</type>
      <name>SetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa7f71ba5355653e87207f0eeddba77b9</anchor>
      <arglist>(float fSpeed)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>a61b069813864e15e8d038b44ba883149</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa6fd1f786f5368e5de78710cc17fee07</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>a42fac4c74b0283087d1e6035708b0e23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetCurrentSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>af95955317ef83f4a9e8a3eca2bff3a67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtFog</name>
    <filename>classvtFog.html</filename>
    <base>NodeExtension</base>
    <member kind="function">
      <type>void</type>
      <name>SetFog</name>
      <anchorfile>classvtFog.html</anchorfile>
      <anchor>af765296dafb570a79aca60c37ce825d1</anchor>
      <arglist>(bool bOn, float start=0, float end=10000, const RGBf &amp;color=s_white, osg::Fog::Mode eType=osg::Fog::LINEAR)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtGeode</name>
    <filename>classvtGeode.html</filename>
    <base>NodeExtension</base>
    <member kind="function">
      <type>void</type>
      <name>AddMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>aee89dfb560f8eb4b7e0b108af7afa5e9</anchor>
      <arglist>(vtMesh *pMesh, int iMatIdx)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>acb7fe87cc2be5ee98a90760619f5bf0f</anchor>
      <arglist>(vtMesh *pMesh)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveAllMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a67f306e5abaefd1e9c5c35d7d25e8c2a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a5afeb3d245e4314080619d676f149fe3</anchor>
      <arglist>(vtTextMesh *pMesh, int iMatIdx, bool bOutline=true)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumMeshes</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a15918dc78ef245388fb44574e64ea3f1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>vtMesh *</type>
      <name>GetMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>addab469e134d0b2782480f4c6ca4de22</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>vtTextMesh *</type>
      <name>GetTextMesh</name>
      <anchorfile>classvtGeode.html</anchorfile>
      <anchor>a1c7f26bee21c81f0f4de2c92ad27cf3a</anchor>
      <arglist>(int i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtGeomFactory</name>
    <filename>classvtGeomFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>vtGeomFactory</name>
      <anchorfile>classvtGeomFactory.html</anchorfile>
      <anchor>a3b5bc06bd1472652239b2f1a7c4d8490</anchor>
      <arglist>(vtGeode *pGeode, vtMesh::PrimType ePrimType, int iVertType, int iMaxVertsPerMesh, int iMatIndex, int iExpectedVerts=-1)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>vtGeomFactory</name>
      <anchorfile>classvtGeomFactory.html</anchorfile>
      <anchor>a28c1172ed0bc0e1c62ba5e7224c2b050</anchor>
      <arglist>(vtMesh *pMesh)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PrimStart</name>
      <anchorfile>classvtGeomFactory.html</anchorfile>
      <anchor>ab7b2186576044ac29b9365eb9cfe1dd6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddVertex</name>
      <anchorfile>classvtGeomFactory.html</anchorfile>
      <anchor>a7b551e706b73e889ae91b4f077e1f066</anchor>
      <arglist>(const FPoint3 &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PrimEnd</name>
      <anchorfile>classvtGeomFactory.html</anchorfile>
      <anchor>a9a8998bc8a0e01385c8b4e40cbbd68e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>AddSurfaceLineToMesh</name>
      <anchorfile>classvtGeomFactory.html</anchorfile>
      <anchor>a64fcaa2bd24cc75dd274a2dcb59cc503</anchor>
      <arglist>(vtHeightField3d *pHF, const DLine2 &amp;line, float fSpacing, float fOffset, bool bInterp=true, bool bCurve=false, bool bTrue=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtGroup</name>
    <filename>classvtGroup.html</filename>
    <base>NodeExtension</base>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtHeightConstrain</name>
    <filename>classvtHeightConstrain.html</filename>
    <base>vtEngine</base>
    <member kind="function">
      <type>void</type>
      <name>SetHeightField</name>
      <anchorfile>classvtHeightConstrain.html</anchorfile>
      <anchor>ad20d8bc01d53777f470968c6adaf8ca9</anchor>
      <arglist>(const vtHeightField3d *pHF)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetMinGroundOffset</name>
      <anchorfile>classvtHeightConstrain.html</anchorfile>
      <anchor>a3726644f36f7da7926100d8cbf0a8b54</anchor>
      <arglist>(float fMeters)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetMinGroundOffset</name>
      <anchorfile>classvtHeightConstrain.html</anchorfile>
      <anchor>aae8624edfc4bbd23cccf277aba250ec0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetUseCulture</name>
      <anchorfile>classvtHeightConstrain.html</anchorfile>
      <anchor>a226507b59f49d883b04bd7b9158688a3</anchor>
      <arglist>(bool set)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetUseCulture</name>
      <anchorfile>classvtHeightConstrain.html</anchorfile>
      <anchor>a9ea17aa50699986c503ed71433d8f15e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetMaintain</name>
      <anchorfile>classvtHeightConstrain.html</anchorfile>
      <anchor>a582364d34b905648aed56305e40b73a9</anchor>
      <arglist>(bool bMaintain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetMaintainHeight</name>
      <anchorfile>classvtHeightConstrain.html</anchorfile>
      <anchor>a518f95c3b6fc77b1ca9a1feee66f07e1</anchor>
      <arglist>(float fHeight)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtHeightConstrain.html</anchorfile>
      <anchor>af3199b638511130ff98b50adc60afd4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnMouse</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a2b3ab30d42068caa38e0a1690a6f5709</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>vtHit</name>
    <filename>structvtHit.html</filename>
  </compound>
  <compound kind="class">
    <name>vtHUD</name>
    <filename>classvtHUD.html</filename>
    <base>NodeExtension</base>
    <member kind="function">
      <type></type>
      <name>vtHUD</name>
      <anchorfile>classvtHUD.html</anchorfile>
      <anchor>a2152f6376f00ee6c141e3a1307873523</anchor>
      <arglist>(bool bPixelCoords=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtIcoGlobe</name>
    <filename>classvtIcoGlobe.html</filename>
    <base>DymaxIcosa</base>
    <base>vtTimeTarget</base>
    <member kind="function">
      <type>void</type>
      <name>Create</name>
      <anchorfile>classvtIcoGlobe.html</anchorfile>
      <anchor>a7c2982a63205125ceb127356e82a532a</anchor>
      <arglist>(int iTriangleCount, const vtString &amp;strImagePrefix, Style style=GEODESIC)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetInflation</name>
      <anchorfile>classvtIcoGlobe.html</anchorfile>
      <anchor>ab30c632c770d334048ba3ef9e3894856</anchor>
      <arglist>(float f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetUnfolding</name>
      <anchorfile>classvtIcoGlobe.html</anchorfile>
      <anchor>a64332f044ccdf77600a6044c7ba14da5</anchor>
      <arglist>(float f)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtImage</name>
    <filename>classvtImage.html</filename>
    <base>vtBitmapBase</base>
    <member kind="function">
      <type>bool</type>
      <name>WriteJPEG</name>
      <anchorfile>classvtImage.html</anchorfile>
      <anchor>a2baa614f76b2362732874e468cfd7bbc</anchor>
      <arglist>(const char *fname, int quality=99, bool progress_callback(int)=NULL)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>GetFilename</name>
      <anchorfile>classvtImage.html</anchorfile>
      <anchor>a2e0fc69bf42c109a2939305815e5999a</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtImageLayer</name>
    <filename>classvtImageLayer.html</filename>
    <base>vtLayer</base>
    <member kind="function">
      <type>void</type>
      <name>SetProps</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>ab399fb782480d39cf272787202c25b1a</anchor>
      <arglist>(const vtTagArray &amp;props)</arglist>
    </member>
    <member kind="function">
      <type>vtTagArray &amp;</type>
      <name>Props</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>af72b5f9511dfa4e3907a3bc1a567de20</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtImageSprite</name>
    <filename>classvtImageSprite.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>Create</name>
      <anchorfile>classvtImageSprite.html</anchorfile>
      <anchor>a5b286a46b5dbad1e7e143a030a7073be</anchor>
      <arglist>(const char *szTextureName, bool bBlending=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Create</name>
      <anchorfile>classvtImageSprite.html</anchorfile>
      <anchor>a7b684a4759ae10f1f9e724635bb0a1bd</anchor>
      <arglist>(osg::Image *pImage, bool bBlending=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetPosition</name>
      <anchorfile>classvtImageSprite.html</anchorfile>
      <anchor>a6862be2f17c44ebe1b0978ad4f2517c0</anchor>
      <arglist>(float l, float t, float r, float b, float rot=0.0f)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetImage</name>
      <anchorfile>classvtImageSprite.html</anchorfile>
      <anchor>ae42f75ea57207b616294ed26ca03a6d7</anchor>
      <arglist>(osg::Image *image)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtItem3d</name>
    <filename>classvtItem3d.html</filename>
    <base>vtItem</base>
    <member kind="function">
      <type>bool</type>
      <name>LoadModels</name>
      <anchorfile>classvtItem3d.html</anchorfile>
      <anchor>ac24fcdabb165165d662a802a2a57d70f</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtLastMouse</name>
    <filename>classvtLastMouse.html</filename>
    <base>vtEngine</base>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>abd055c37e13cd344137d5e032a49a194</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Eval</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a1e0139fd04f2ce79341e1c9ba403a91e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtLayer</name>
    <filename>classvtLayer.html</filename>
    <base>vtLayerBase</base>
    <member kind="function">
      <type>void</type>
      <name>SetProps</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>ab399fb782480d39cf272787202c25b1a</anchor>
      <arglist>(const vtTagArray &amp;props)</arglist>
    </member>
    <member kind="function">
      <type>vtTagArray &amp;</type>
      <name>Props</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>af72b5f9511dfa4e3907a3bc1a567de20</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtLightSource</name>
    <filename>classvtLightSource.html</filename>
    <base>NodeExtension</base>
    <member kind="function">
      <type></type>
      <name>vtLightSource</name>
      <anchorfile>classvtLightSource.html</anchorfile>
      <anchor>a7682192811dcd56e3bebe2084dd96589</anchor>
      <arglist>(int LightNumber)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtLine3d</name>
    <filename>classvtLine3d.html</filename>
    <base>vtLine</base>
  </compound>
  <compound kind="class">
    <name>vtLocation</name>
    <filename>classvtLocation.html</filename>
  </compound>
  <compound kind="class">
    <name>vtLocationSaver</name>
    <filename>classvtLocationSaver.html</filename>
    <member kind="function">
      <type>bool</type>
      <name>Read</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>abd168c899bd7e04ed4faf8173847c688</anchor>
      <arglist>(const vtString &amp;fname)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Write</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>a361dddbd848941633f2a3fa7713d824c</anchor>
      <arglist>(const vtString &amp;fname=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Remove</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>a7308ebc2fa532af9ac1517fceb2e7b99</anchor>
      <arglist>(int num)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>NumLocations</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>a038071074183c73b84ad43318cf2abc1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtLocation *</type>
      <name>GetLocation</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>a00ea4ce027a14bb8f2014dee4b4bfd77</anchor>
      <arglist>(int num) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>FindLocation</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>a0abbe5834b844176eacfea73bd462028</anchor>
      <arglist>(const char *locname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTransform</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>ad7109d8bb5b53264a0ff37ddc4ae66e0</anchor>
      <arglist>(vtTransform *trans)</arglist>
    </member>
    <member kind="function">
      <type>vtTransform *</type>
      <name>GetTransform</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>aef9e733b98a2533ed2d723f3424de431</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetLocalCS</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>a00836a9e9e7c04f2e97d9dc9cc83c0e4</anchor>
      <arglist>(const LocalCS &amp;conv)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetProjection</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>a6ace1443f5ef53b76994f695c9176824</anchor>
      <arglist>(const vtProjection &amp;proj)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>StoreTo</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>ae1783312d870484bb7bdf9948eb1067e</anchor>
      <arglist>(uint num, const LocNameString &amp;name=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>RecallFrom</name>
      <anchorfile>classvtLocationSaver.html</anchorfile>
      <anchor>a618b736ad50d5dcae2ce11c29c742cfd</anchor>
      <arglist>(int num)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtLOD</name>
    <filename>classvtLOD.html</filename>
    <base>NodeExtension</base>
    <member kind="function">
      <type>void</type>
      <name>SetCenter</name>
      <anchorfile>classvtLOD.html</anchorfile>
      <anchor>aa984c2b943372523ab729a8872009de7</anchor>
      <arglist>(const FPoint3 &amp;center)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetCenter</name>
      <anchorfile>classvtLOD.html</anchorfile>
      <anchor>a64fbf006d194117ec62b91e1af159fd6</anchor>
      <arglist>(FPoint3 &amp;center)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtLodGrid</name>
    <filename>classvtLodGrid.html</filename>
    <base>vtGroup</base>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtMaterial</name>
    <filename>classvtMaterial.html</filename>
    <member kind="function">
      <type>void</type>
      <name>CopyFrom</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a711eecd9e67bbd4b22005cc4208885cf</anchor>
      <arglist>(vtMaterial *pFrom)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetDiffuse</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>aeabaa993f7db80ade5d6c00de45ebcfc</anchor>
      <arglist>(float r, float g, float b, float a=1.0f)</arglist>
    </member>
    <member kind="function">
      <type>RGBAf</type>
      <name>GetDiffuse</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a2d2ceb962d1e04888bea8e3f2d4e27c3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSpecular</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a2d11802053d7112815e853e2d5e69c43</anchor>
      <arglist>(float r, float g, float b)</arglist>
    </member>
    <member kind="function">
      <type>RGBf</type>
      <name>GetSpecular</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a1fa189ab24a6f78645f6b1936d7c7937</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetAmbient</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a3f7bf06392c3d1af15254baf8997d950</anchor>
      <arglist>(float r, float g, float b)</arglist>
    </member>
    <member kind="function">
      <type>RGBf</type>
      <name>GetAmbient</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>af6493e5a98dc9f5f7f6f8003fd731935</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEmission</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a4188d755d170169a482e18a61f32c442</anchor>
      <arglist>(float r, float g, float b)</arglist>
    </member>
    <member kind="function">
      <type>RGBf</type>
      <name>GetEmission</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a965dad33e91c22a927604089b3e115bc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCulling</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>af2406a9bc07cc6051170a386d89344a6</anchor>
      <arglist>(bool bCulling)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCulling</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a50f6ea240d5bef201351900d1ddc183a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetLighting</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>ad108aa294160a85f4a560e86e578ac3b</anchor>
      <arglist>(bool bLighting)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetLighting</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>ac2e426c8317f78c90146f9fcf0a4fe8b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTransparent</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a6e3303a524112d4ee0888cac0367d40b</anchor>
      <arglist>(bool bOn, bool bAdd=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetTransparent</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a1a9f4f7c6890d62a328f5da85910ddd3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetWireframe</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>abec99a7cba9fdc7b6c6012b96b391f64</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetWireframe</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a08d7c6440d6943d899661660fdfe3d60</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTexture1D</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a3f4e27c12ef0f9059f5fef8683601323</anchor>
      <arglist>(osg::Image *pImage, int unit=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTexture2D</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>abbcb1e5bf201017fae994ff4500b5d87</anchor>
      <arglist>(osg::Image *pImage, int unit=0, bool bCompression=false)</arglist>
    </member>
    <member kind="function">
      <type>osg::Image *</type>
      <name>GetTextureImage</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a5c3ec68ccb0a15c34b2eb265e44fb8ba</anchor>
      <arglist>(int unit=0) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ModifiedTexture</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>af433635e47fb6e6dab082bc482ecf7b5</anchor>
      <arglist>(int unit=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetClamp</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>aa295e104e98ddfa51697b8c1c07ad37d</anchor>
      <arglist>(bool bClamp, int unit=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetClamp</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>af1226cede7811296aa370d71eac54463</anchor>
      <arglist>(int unit=0) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetMipMap</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a29519609263612a7f3362db07cdbd2dc</anchor>
      <arglist>(bool bMipMap, int unit=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetMipMap</name>
      <anchorfile>classvtMaterial.html</anchorfile>
      <anchor>a4b364d28c06179603aec102b97916295</anchor>
      <arglist>(int unit=0) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtMaterialArray</name>
    <filename>classvtMaterialArray.html</filename>
    <member kind="function">
      <type>int</type>
      <name>Find</name>
      <anchorfile>classvtMaterialArray.html</anchorfile>
      <anchor>af49cac14ee706cba8c2221927e50f813</anchor>
      <arglist>(vtMaterial *mat)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddTextureMaterial</name>
      <anchorfile>classvtMaterialArray.html</anchorfile>
      <anchor>a37b62bf680352ec4ea538d748ce99e6f</anchor>
      <arglist>(osg::Image *pImage, bool bCulling, bool bLighting, bool bTransp=false, bool bAdditive=false, float fAmbient=0.0f, float fDiffuse=1.0f, float fAlpha=1.0f, float fEmissive=0.0f, bool bCompression=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddRGBMaterial</name>
      <anchorfile>classvtMaterialArray.html</anchorfile>
      <anchor>a0e85829af09b28cf5d7a694554c7717f</anchor>
      <arglist>(const RGBf &amp;diffuse, bool bCulling=true, bool bLighting=true, bool bWireframe=false, float fAlpha=1.0f, float fEmissive=0.0f)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>FindByDiffuse</name>
      <anchorfile>classvtMaterialArray.html</anchorfile>
      <anchor>a9e576192392db47ed839f0e68d4eddfe</anchor>
      <arglist>(const RGBAf &amp;rgba) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>FindByImage</name>
      <anchorfile>classvtMaterialArray.html</anchorfile>
      <anchor>a24dfc9fb250dfa04ec6e10e1eb626c10</anchor>
      <arglist>(const osg::Image *image) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CopyFrom</name>
      <anchorfile>classvtMaterialArray.html</anchorfile>
      <anchor>a82f17e10f2290660556cb28e7f87ef66</anchor>
      <arglist>(vtMaterialArray *pFromMats)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AppendMaterial</name>
      <anchorfile>classvtMaterialArray.html</anchorfile>
      <anchor>a250f5950451020ca870b3d8df2a9158a</anchor>
      <arglist>(vtMaterial *pMat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtMaterialDescriptorArray3d</name>
    <filename>classvtMaterialDescriptorArray3d.html</filename>
    <base>vtMaterialDescriptorArray</base>
  </compound>
  <compound kind="class">
    <name>vtMesh</name>
    <filename>classvtMesh.html</filename>
    <member kind="function">
      <type></type>
      <name>vtMesh</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a08408aa98f0af020f1244bed5717291d</anchor>
      <arglist>(PrimType ePrimType, int VertType, int NumVertices)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTri</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>abc9785315a4c478adc77fa0b4d9efe9d</anchor>
      <arglist>(int p0, int p1, int p2)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddFan</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>aa1d9559307209cdf3c1cf97765ccaf26</anchor>
      <arglist>(int p0, int p1, int p2=-1, int p3=-1, int p4=-1, int p5=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddFan</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a44ff6baa8a287467e29e50028e34c135</anchor>
      <arglist>(int *idx, int iNVerts)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddStrip</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a903acd693e66d78affa812f2b9701631</anchor>
      <arglist>(int iNVerts, unsigned short *pIndices)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddLine</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a7f487305c7d3b70cb98cd3a4a251a028</anchor>
      <arglist>(int p0, int p1)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddLine</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>ae39e33f9f170f3ce51af65b24d307561</anchor>
      <arglist>(const FPoint3 &amp;pos1, const FPoint3 &amp;pos2)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddQuad</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>ae86156e8c3604dc7df1dafebaf786bad</anchor>
      <arglist>(int p0, int p1, int p2, int p3)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddVertex</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a8f0b6c9dfe4f216290b698ec94374bad</anchor>
      <arglist>(float x, float y, float z)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddVertexN</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a46a763b2a61c32421de3b15cd3f5cda5</anchor>
      <arglist>(float x, float y, float z, float nx, float ny, float nz)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddVertexUV</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>aa4b2f6dfdda42a0c75c0e9e6d23e7b13</anchor>
      <arglist>(float x, float y, float z, float u, float v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddVertex</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a095436a2fdad530947b40bae8f837462</anchor>
      <arglist>(const FPoint3 &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddVertexN</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a2107fb99ed1cbe9bd77a111616d7f534</anchor>
      <arglist>(const FPoint3 &amp;p, const FPoint3 &amp;n)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddVertexUV</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>abf1b0f516df12891d81a123113817249</anchor>
      <arglist>(const FPoint3 &amp;p, float u, float v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddVertexUV</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>aa64ae7f5634956e6bf6e81b512ac54eb</anchor>
      <arglist>(const FPoint3 &amp;p, const FPoint2 &amp;uv)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>AddVertexNUV</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a41d37b002ee7ce2672e2f6ef64f78659</anchor>
      <arglist>(const FPoint3 &amp;p, const FPoint3 &amp;n, const FPoint2 &amp;uv)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddStrip2</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>afb94465cd4d03345dccd29837e5d848d</anchor>
      <arglist>(int iNVerts, int iStartIndex)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>TransformVertices</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>af09cb06865e2503d2940e4e2f0878390</anchor>
      <arglist>(const FMatrix4 &amp;mat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateEllipsoid</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>ad210ec9f0ff311e56b540a59ca353363</anchor>
      <arglist>(const FPoint3 &amp;center, const FPoint3 &amp;size, int res, bool hemi=false, bool bNormalsIn=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateBlock</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a61a4644484da457fb30105d82a6b793a</anchor>
      <arglist>(const FPoint3 &amp;size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateOptimizedBlock</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a98e463b5c530d9a21d36b728dd48aded</anchor>
      <arglist>(const FPoint3 &amp;size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreatePrism</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a90da517f04b18a7aaa863b73e207896f</anchor>
      <arglist>(const FPoint3 &amp;base, const FPoint3 &amp;vector_up, const FPoint2 &amp;size1, const FPoint2 &amp;size2)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateRectangularMesh</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a6b9a5a08d4ae7fc863f99c2a310893ee</anchor>
      <arglist>(int xsize, int ysize, bool bReverseNormals=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateCylinder</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a1c3b0127591fc1ff15d6fc80379d3179</anchor>
      <arglist>(float height, float radius, int res, bool bTop=true, bool bBottom=true, bool bCentered=true, int direction=1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddRectangleXZ</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a28f356dd38aef0a5063c8ca5949e083d</anchor>
      <arglist>(float xsize, float zsize)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddRectangleXY</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a8195364a28da72f014bf06ae948bd2fb</anchor>
      <arglist>(float x, float y, float xsize, float ysize, float z=0.0f, bool bCentered=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateConicalSurface</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>abc34d8ce4617693236f246948d2f66ff</anchor>
      <arglist>(const FPoint3 &amp;tip, double radial_angle, double theta1, double theta2, double r1, double r2, int res=40)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateRectangle</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a7fcdef3285bc7c016fde76c5899b4e40</anchor>
      <arglist>(int iQuads1, int iQuads2, int Axis1, int Axis2, int Axis3, const FPoint2 &amp;min1, const FPoint2 &amp;max1, float fLevel, float fTiling)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetVtxPos</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a5650de3add294df823f8ec8e3cb74dae</anchor>
      <arglist>(uint, const FPoint3 &amp;)</arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetVtxPos</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>aaf875afd3f6bf74c687e0244c9f082f1</anchor>
      <arglist>(uint i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetVtxNormal</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>ad2cf1d84350b2ec3266938bddef200e8</anchor>
      <arglist>(uint, const FPoint3 &amp;)</arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetVtxNormal</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>ac5ed31ad12d9395c24d7d21ed71faa3e</anchor>
      <arglist>(uint i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetVtxColor</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a25584e2588d68a5f7073e3a64386837f</anchor>
      <arglist>(uint, const RGBAf &amp;)</arglist>
    </member>
    <member kind="function">
      <type>RGBAf</type>
      <name>GetVtxColor</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a59743e2ef9099ce27e1d8ca48c2d2526</anchor>
      <arglist>(uint i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetVtxTexCoord</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a2ab06efc1df24ae98ae65a376f1dafe8</anchor>
      <arglist>(uint, const FPoint2 &amp;)</arglist>
    </member>
    <member kind="function">
      <type>FPoint2</type>
      <name>GetVtxTexCoord</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>ae196ce69d80bb45840a834c8a0d7f64b</anchor>
      <arglist>(uint i) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetLineWidth</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a7ca2ff4a2fcbcf6dd82cfe5aa206438a</anchor>
      <arglist>(float fWidth)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ReOptimize</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>aeebfc1cf4ade1864b157770198aa3b77</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AllowOptimize</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a5cbdd73f64353d5ba8ed8443d2da633f</anchor>
      <arglist>(bool bAllow)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetNormalsFromPrimitives</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a6297b782a460e75500fe49129e2740f2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>vtGeode</name>
      <anchorfile>classvtMesh.html</anchorfile>
      <anchor>a50e8d94ac190f6b30af858244b8d2372</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>vtMouseEvent</name>
    <filename>structvtMouseEvent.html</filename>
  </compound>
  <compound kind="class">
    <name>vtMovGeode</name>
    <filename>classvtMovGeode.html</filename>
    <base>vtTransform</base>
    <member kind="function">
      <type>void</type>
      <name>Identity</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a28280a8b078e6cd93ca335e59f705b50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTrans</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>af128eb7b9cca70db34707a20b3ac6678</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetTrans</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>ae3e496126df1de6f0c10bd2599cc4108</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Translate</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a65d20098fb983642790ec2e954f813a7</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>TranslateLocal</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>af7fabfa84a28630baa579b24d8e97778</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Rotate</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a448328c75901ee00305fb2716970b2c4</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RotateLocal</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>aa73f108fc71b657a787f6365befbd5c3</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RotateParent</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a538bffe00f474640359ef5723ffa59dd</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>FQuat</type>
      <name>GetOrient</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a0a8d7824b95746cf432c627cea1f09bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetDirection</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>ad152e97839fb8979821cd1f416eca939</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetDirection</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a1e831b4c3f15c920b413203363c67dd6</anchor>
      <arglist>(const FPoint3 &amp;point, bool bPitch=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Scale</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a16486afe0c240b84510bfb089bf6baf1</anchor>
      <arglist>(float factor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Scale</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a4079e9b135fc1c2f22621230bd4321fb</anchor>
      <arglist>(float x, float y, float z)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTransform</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a182f7d969245897aca264e181fb604e3</anchor>
      <arglist>(const FMatrix4 &amp;mat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetTransform</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a8cc2bcacd5c1acfcf725b48da6e68317</anchor>
      <arglist>(FMatrix4 &amp;mat) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PointTowards</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a4d2452e5a83daf9b580a3fdde3b29f0f</anchor>
      <arglist>(const FPoint3 &amp;point, bool bPitch=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtOrthoFlyer</name>
    <filename>classvtOrthoFlyer.html</filename>
    <base>vtFlyer</base>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtOrthoFlyer.html</anchorfile>
      <anchor>a21da52474ad22de986143f6dd7fa9cf8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa7f71ba5355653e87207f0eeddba77b9</anchor>
      <arglist>(float fSpeed)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>a61b069813864e15e8d038b44ba883149</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa6fd1f786f5368e5de78710cc17fee07</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetCurrentSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>af95955317ef83f4a9e8a3eca2bff3a67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtOSGEventHandler</name>
    <filename>classvtOSGEventHandler.html</filename>
  </compound>
  <compound kind="class">
    <name>vtPagedStructureLOD</name>
    <filename>classvtPagedStructureLOD.html</filename>
    <base>vtLOD</base>
    <member kind="function">
      <type>bool</type>
      <name>TestVisible</name>
      <anchorfile>classvtPagedStructureLOD.html</anchorfile>
      <anchor>aa72118a248dd2dedbb2b965438a1abb1</anchor>
      <arglist>(float fDistance, bool bLoad)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCenter</name>
      <anchorfile>classvtLOD.html</anchorfile>
      <anchor>aa984c2b943372523ab729a8872009de7</anchor>
      <arglist>(const FPoint3 &amp;center)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetCenter</name>
      <anchorfile>classvtLOD.html</anchorfile>
      <anchor>a64fbf006d194117ec62b91e1af159fd6</anchor>
      <arglist>(FPoint3 &amp;center)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtPagedStructureLodGrid</name>
    <filename>classvtPagedStructureLodGrid.html</filename>
    <base>vtLodGrid</base>
    <member kind="function">
      <type>void</type>
      <name>RefreshPaging</name>
      <anchorfile>classvtPagedStructureLodGrid.html</anchorfile>
      <anchor>ae78a01b7c03dd1e56cf1ed23953f0316</anchor>
      <arglist>(vtStructureArray3d *pArray)</arglist>
    </member>
    <member kind="function">
      <type>vtPagedStructureLOD *</type>
      <name>FindGroup</name>
      <anchorfile>classvtPagedStructureLodGrid.html</anchorfile>
      <anchor>a528b189cef35a907d7cf11f1926fea82</anchor>
      <arglist>(vtStructure *str)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtPanoFlyer</name>
    <filename>classvtPanoFlyer.html</filename>
    <base>vtTerrainFlyer</base>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtPanoFlyer.html</anchorfile>
      <anchor>ab4ab5195de4c784ba20028af7c060e05</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetHeightField</name>
      <anchorfile>classvtTerrainFlyer.html</anchorfile>
      <anchor>a8566e3b8b0f71cffd253a467a6132dc9</anchor>
      <arglist>(const vtHeightField3d *pHF)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa7f71ba5355653e87207f0eeddba77b9</anchor>
      <arglist>(float fSpeed)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>a61b069813864e15e8d038b44ba883149</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa6fd1f786f5368e5de78710cc17fee07</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetCurrentSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>af95955317ef83f4a9e8a3eca2bff3a67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtPlantAppearance3d</name>
    <filename>classvtPlantAppearance3d.html</filename>
    <base>vtPlantAppearance</base>
    <member kind="function" protection="protected">
      <type>vtMesh *</type>
      <name>CreateTreeMesh</name>
      <anchorfile>classvtPlantAppearance3d.html</anchorfile>
      <anchor>a8f254db5150e531dc47a306939590886</anchor>
      <arglist>(float fTreeScale)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtPlantInstance3d</name>
    <filename>classvtPlantInstance3d.html</filename>
  </compound>
  <compound kind="class">
    <name>vtPlantInstanceArray3d</name>
    <filename>classvtPlantInstanceArray3d.html</filename>
    <base>vtPlantInstanceArray</base>
    <member kind="function">
      <type>void</type>
      <name>SetHeightField</name>
      <anchorfile>classvtPlantInstanceArray3d.html</anchorfile>
      <anchor>ad3909c0afef3965f2383002f885d0579</anchor>
      <arglist>(vtHeightField3d *hf)</arglist>
    </member>
    <member kind="function">
      <type>vtSpeciesList3d *</type>
      <name>GetSpeciesList</name>
      <anchorfile>classvtPlantInstanceArray3d.html</anchorfile>
      <anchor>aeeac5609dd0f0fc23aed8b5065968563</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>VisualDeselectAll</name>
      <anchorfile>classvtPlantInstanceArray3d.html</anchorfile>
      <anchor>a4b7527dabb962898f899518157ae5aa3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>VisualSelect</name>
      <anchorfile>classvtPlantInstanceArray3d.html</anchorfile>
      <anchor>a1bae6c4f923622286468c935202944ba</anchor>
      <arglist>(uint i)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>vtPlantInstanceShader</name>
    <filename>structvtPlantInstanceShader.html</filename>
  </compound>
  <compound kind="class">
    <name>vtPlantSpecies3d</name>
    <filename>classvtPlantSpecies3d.html</filename>
    <base>vtPlantSpecies</base>
    <member kind="function">
      <type>vtPlantAppearance3d *</type>
      <name>GetAppearanceByHeight</name>
      <anchorfile>classvtPlantSpecies3d.html</anchorfile>
      <anchor>a30d56e49d79c6e5ab2706430d2108f77</anchor>
      <arglist>(float fHeight)</arglist>
    </member>
    <member kind="function">
      <type>vtPlantAppearance3d *</type>
      <name>GetRandomAppearance</name>
      <anchorfile>classvtPlantSpecies3d.html</anchorfile>
      <anchor>a82bb2672afcd8c93059f9942f368cb43</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtPole3d</name>
    <filename>classvtPole3d.html</filename>
    <base>vtPole</base>
  </compound>
  <compound kind="struct">
    <name>vtPrimInfo</name>
    <filename>structvtPrimInfo.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>Vertices</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>ad9213e3ff9b02ff2b36b3029f81541ae</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>Primitives</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>ae7721efbbba0ba8e9ec3366399c28dca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>MemVertices</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>aaf0d159f7a9ea1067a66a82e6613f233</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>Points</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>ad6a8cb9ba62398de8a3fc2fec0133e05</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>TriStrips</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>aa15e36973164f22b4b608a3be537b8a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>TriFans</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>aa324721f438f7d21f9e546f63b16550d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>Triangles</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>a72ee43071fba0bfdd4b8e00302c9a2b7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>Quads</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>acb3ae92ae8342d92ee1f2a8dfc5cdfac</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>QuadStrips</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>a0847f0c9da43a3fa71a234accf24c205</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>Polygons</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>a5162dacad097ee78596176fd99d2d272</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>LineStrips</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>a22e91fc69df685342f0c9e0d3d65e511</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>LineSegments</name>
      <anchorfile>structvtPrimInfo.html</anchorfile>
      <anchor>a3ebcaf2da24b8a450b12f21fb06194ed</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtRoadMap3d</name>
    <filename>classvtRoadMap3d.html</filename>
    <base>vtRoadMap</base>
  </compound>
  <compound kind="class">
    <name>vtScene</name>
    <filename>classvtScene.html</filename>
    <member kind="function">
      <type>void</type>
      <name>SetRoot</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a67f9ba5ba5fc38fe946da66aa3b84d5f</anchor>
      <arglist>(vtGroup *pRoot)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetGlobalWireframe</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a6bad37492d5abc9474e9dd51226ba580</anchor>
      <arglist>(bool bWire)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetGlobalWireframe</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>aeb4ade76a2637b6509aae2219394c8b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>Init</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a2d7d06ad7b73ce573342507f614fccc9</anchor>
      <arglist>(int argc, char **argv, bool bStereo=false, int iStereoMode=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Shutdown</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>aa1ad1cb5a36a3ecb5f9251a10bb2886c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetFrameRate</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>aba9afef458254150085b03205849dd4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetTime</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a85a51a071259b066b3282c4d10a38b2e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetFrameTime</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>ac38556a81d05d05507686f7d5c51d4b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>CameraRay</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a3ab186edafa7ca9eba1308bc237ef4d3</anchor>
      <arglist>(const IPoint2 &amp;win, FPoint3 &amp;pos, FPoint3 &amp;dir, vtWindow *pWindow=NULL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>WorldToScreen</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a656733df25b966531a1fd82ebe075c5e</anchor>
      <arglist>(const FPoint3 &amp;point, IPoint2 &amp;result)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetRootEngine</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>aeb47058d90174a3c1b0d4fc1bef48157</anchor>
      <arglist>(vtEngine *ptr)</arglist>
    </member>
    <member kind="function">
      <type>vtEngine *</type>
      <name>GetRootEngine</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>ad59ab53255438efb1cedf0eea053c0c0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetPostDrawEngine</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a4025f9055654fe7a827f8f557264dfd5</anchor>
      <arglist>(vtEngine *ptr)</arglist>
    </member>
    <member kind="function">
      <type>vtEngine *</type>
      <name>GetPostDrawEngine</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>af26504fc1c3a610762d482b93d8c0c16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddEngine</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>af3833e31adabc05e233781886550b0d2</anchor>
      <arglist>(vtEngine *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>TargetRemoved</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a8902ef18e20ffd391ed8d6af723429ef</anchor>
      <arglist>(osg::Referenced *tar)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCamera</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a9dab1f2c142a9817c9366ece29fdc586</anchor>
      <arglist>(vtCamera *cam)</arglist>
    </member>
    <member kind="function">
      <type>vtCamera *</type>
      <name>GetCamera</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a7cee843d0a58e1b9e6e5a7c59df7cf2f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtGroup *</type>
      <name>GetRoot</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a0ddbc92a80dd77d9801609390b5a6e4c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ComputeViewMatrix</name>
      <anchorfile>classvtScene.html</anchorfile>
      <anchor>a0b43ca53c87d49eec51c89f1d90573f5</anchor>
      <arglist>(FMatrix4 &amp;mat)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtShadow</name>
    <filename>classvtShadow.html</filename>
    <base>NodeExtension</base>
    <member kind="function">
      <type>void</type>
      <name>SetDarkness</name>
      <anchorfile>classvtShadow.html</anchorfile>
      <anchor>ace6e995fd2f8864c03174edd2a7bdabf</anchor>
      <arglist>(float bias)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetDarkness</name>
      <anchorfile>classvtShadow.html</anchorfile>
      <anchor>a6fa2736bec1a8e501006350f04b9bf46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetShadowTextureResolution</name>
      <anchorfile>classvtShadow.html</anchorfile>
      <anchor>ae1e57a9a249613b2a64adda0609fd73e</anchor>
      <arglist>(const uint ShadowTextureResolution)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetRecalculateEveryFrame</name>
      <anchorfile>classvtShadow.html</anchorfile>
      <anchor>af9b6cd4b631b5cd7e46134a96c58a6f3</anchor>
      <arglist>(const bool RecalculateEveryFrame)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>vtShadowOptions</name>
    <filename>structvtShadowOptions.html</filename>
    <member kind="variable">
      <type>float</type>
      <name>fDarkness</name>
      <anchorfile>structvtShadowOptions.html</anchorfile>
      <anchor>a2696a631d0b6aff031d268d130e92313</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bShadowsEveryFrame</name>
      <anchorfile>structvtShadowOptions.html</anchorfile>
      <anchor>ad28ae7ff329bb0e1c9c6a87cc7630583</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>bShadowLimit</name>
      <anchorfile>structvtShadowOptions.html</anchorfile>
      <anchor>a8f322fc01f123253edc84ce74b9f9883</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>float</type>
      <name>fShadowRadius</name>
      <anchorfile>structvtShadowOptions.html</anchorfile>
      <anchor>aa4bc06173e226541b4d18f53373febc6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtSimpleBillboardEngine</name>
    <filename>classvtSimpleBillboardEngine.html</filename>
    <base>vtEngine</base>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtSimpleBillboardEngine.html</anchorfile>
      <anchor>a25cd395d855809f3a0adfc1d0d1a5159</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnMouse</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a2b3ab30d42068caa38e0a1690a6f5709</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtSimpleLodGrid</name>
    <filename>classvtSimpleLodGrid.html</filename>
    <base>vtLodGrid</base>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a4178540c20a09a43a25a7ef85c6c321a</anchor>
      <arglist>(bool bOn)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetEnabled</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a558f0adcd3debcce64e2eecc0d982178</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>af4ee96b146f0040723ee70482a6dcdef</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetCastShadow</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>a2c975dfaad1def5cdf921675737f2d63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetBoundSphere</name>
      <anchorfile>structNodeExtension.html</anchorfile>
      <anchor>ac9def160b7c9647cd4e40e700328323e</anchor>
      <arglist>(FSphere &amp;sphere, bool bGlobal=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtSkyDome</name>
    <filename>classvtSkyDome.html</filename>
    <base>vtTransform</base>
    <member kind="function">
      <type>void</type>
      <name>Create</name>
      <anchorfile>classvtSkyDome.html</anchorfile>
      <anchor>afd2330efdaa284ef25a4e12ce8973dea</anchor>
      <arglist>(const char *starfile, int depth, float radius, const char *sun_texture=NULL, const char *moon_texture=NULL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTime</name>
      <anchorfile>classvtSkyDome.html</anchorfile>
      <anchor>a4dbd9f49e6a6cf15a8daa6bd1c746369</anchor>
      <arglist>(const vtTime &amp;time)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtSpeciesList3d</name>
    <filename>classvtSpeciesList3d.html</filename>
    <base>vtSpeciesList</base>
    <member kind="function">
      <type>void</type>
      <name>CreatePlantSurfaces</name>
      <anchorfile>classvtSpeciesList3d.html</anchorfile>
      <anchor>a86eb35437fc2be19b82aa609f2640da7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtSpriteSizer</name>
    <filename>classvtSpriteSizer.html</filename>
    <base>vtEngine</base>
    <member kind="function">
      <type>void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtSpriteSizer.html</anchorfile>
      <anchor>a832d2c4a92c6b6faffa23a3b8d7b01e9</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnMouse</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a2b3ab30d42068caa38e0a1690a6f5709</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Eval</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a1e0139fd04f2ce79341e1c9ba403a91e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtStarDome</name>
    <filename>classvtStarDome.html</filename>
    <base>vtGroup</base>
    <member kind="function">
      <type>void</type>
      <name>SetTime</name>
      <anchorfile>classvtStarDome.html</anchorfile>
      <anchor>ae1e393213cff165ac63a0d596ef458d0</anchor>
      <arglist>(const vtTime &amp;time)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtStraightSkeleton</name>
    <filename>classvtStraightSkeleton.html</filename>
  </compound>
  <compound kind="class">
    <name>vtStructInstance3d</name>
    <filename>classvtStructInstance3d.html</filename>
    <base>vtStructInstance</base>
    <base>vtStructure3d</base>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>CreateNode</name>
      <anchorfile>classvtStructInstance3d.html</anchorfile>
      <anchor>a0a60faec4ab41181ba2d8a7259832815</anchor>
      <arglist>(vtTerrain *pTerr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowBounds</name>
      <anchorfile>classvtStructInstance3d.html</anchorfile>
      <anchor>a9817c298b23c22b69e196f5771f3d181</anchor>
      <arglist>(bool bShow)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>UpdateTransform</name>
      <anchorfile>classvtStructInstance3d.html</anchorfile>
      <anchor>ac0c0b3c04e83761f89f6d81810dc2052</anchor>
      <arglist>(vtHeightField3d *pHeightField)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Reload</name>
      <anchorfile>classvtStructInstance3d.html</anchorfile>
      <anchor>a1672bd08e59f5f010d2130fe53930934</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual vtGeode *</type>
      <name>GetGeom</name>
      <anchorfile>classvtStructure3d.html</anchorfile>
      <anchor>acbe294290f91c6c077f7230155b20baf</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtStructure3d</name>
    <filename>classvtStructure3d.html</filename>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>CreateNode</name>
      <anchorfile>classvtStructure3d.html</anchorfile>
      <anchor>aabeb0c645af1f346f9c1c827fdd380b5</anchor>
      <arglist>(vtTerrain *pTerr)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual vtGeode *</type>
      <name>GetGeom</name>
      <anchorfile>classvtStructure3d.html</anchorfile>
      <anchor>acbe294290f91c6c077f7230155b20baf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>ShowBounds</name>
      <anchorfile>classvtStructure3d.html</anchorfile>
      <anchor>a7371026322829f2b624d3b81cd3e0da5</anchor>
      <arglist>(bool bShow)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtStructureArray3d</name>
    <filename>classvtStructureArray3d.html</filename>
    <base>vtStructureArray</base>
    <base>vtEnabledBase</base>
    <member kind="function">
      <type>void</type>
      <name>SetTerrain</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>a957688642c3115ab109630c3ce4bb27e</anchor>
      <arglist>(vtTerrain *pTerr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ConstructStructure</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>ab7f2bf216d47011b1d2ba248f0e75297</anchor>
      <arglist>(vtStructure3d *str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>VisualDeselectAll</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>a4c7efcf127bd08b5bedd002230f21759</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>a80c2fc95eb8d4071217f048168cddc27</anchor>
      <arglist>(bool bTrue)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetShadows</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>a42868c4847685a6f8ad15d947d878d5d</anchor>
      <arglist>(bool bTrue)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtStructureLayer</name>
    <filename>classvtStructureLayer.html</filename>
    <base>vtStructureArray3d</base>
    <base>vtLayer</base>
    <member kind="function">
      <type>bool</type>
      <name>Load</name>
      <anchorfile>classvtStructureLayer.html</anchorfile>
      <anchor>aaabe62992139935c00785f02744ffa6d</anchor>
      <arglist>(bool progress_callback(int)=NULL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTerrain</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>a957688642c3115ab109630c3ce4bb27e</anchor>
      <arglist>(vtTerrain *pTerr)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ConstructStructure</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>ab7f2bf216d47011b1d2ba248f0e75297</anchor>
      <arglist>(vtStructure3d *str)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>VisualDeselectAll</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>a4c7efcf127bd08b5bedd002230f21759</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetEnabled</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>a80c2fc95eb8d4071217f048168cddc27</anchor>
      <arglist>(bool bTrue)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetShadows</name>
      <anchorfile>classvtStructureArray3d.html</anchorfile>
      <anchor>a42868c4847685a6f8ad15d947d878d5d</anchor>
      <arglist>(bool bTrue)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetProps</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>ab399fb782480d39cf272787202c25b1a</anchor>
      <arglist>(const vtTagArray &amp;props)</arglist>
    </member>
    <member kind="function">
      <type>vtTagArray &amp;</type>
      <name>Props</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>af72b5f9511dfa4e3907a3bc1a567de20</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTerrain</name>
    <filename>classvtTerrain.html</filename>
    <member kind="function">
      <type>void</type>
      <name>SetParamFile</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ad58d9e3e7ed2e94b515d4c9dced4d218</anchor>
      <arglist>(const char *fname)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetParams</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a5335a263bc05ce73a771ce6e3044ad0a</anchor>
      <arglist>(const TParams &amp;Params)</arglist>
    </member>
    <member kind="function">
      <type>TParams &amp;</type>
      <name>GetParams</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>abc861820f6eead0a8f406ab040564be3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetLocalGrid</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a380aab8d9ac8058db4347c3779e40e08</anchor>
      <arglist>(vtElevationGrid *pGrid, bool bPreserve)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTin</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a88ce749502d46520bc53faf3afefec73</anchor>
      <arglist>(vtTin3d *pTin)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>GetGeoExtentsFromMetadata</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ac68e2dd30870a7b859397abacc4af00e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>CreateStep2</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a528d5247c2cdf18364a04615f6b3259f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>CreateStep3</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>aca2dfa31bf712ce7ed79b413d9ab42cf</anchor>
      <arglist>(vtTransform *pSunLight, vtLightSource *pLightSource)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>CreateStep4</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a33d3f8ce6d6db9b76c4aa1eb08c025c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>CreateStep5</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a2f08850095affb0ee57ed119ab679c66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>CreateStep6</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>aca01f0d8179a49b50d1e83dcded0f477</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTextureContours</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a73eb98d8063333718e06a3da474d995f</anchor>
      <arglist>(float fInterval, float fSize)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTextureColorMap</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a018db8ffca678fa730e7b3eef01be1e5</anchor>
      <arglist>(ColorMap *colors)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsCreated</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a4124ba174e23842e296676e5a004ac50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Enable</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ac6ccf50614194a22dc2bdf60b9939452</anchor>
      <arglist>(bool bVisible)</arglist>
    </member>
    <member kind="function">
      <type>vtTransform *</type>
      <name>LoadModel</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ab0b6dcc8d98b18c9d5b05e0a200cd7ee</anchor>
      <arglist>(const char *filename, bool bAllowCache=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addNode</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a97aa5969c143d88bcdd4a146dee1cf6b</anchor>
      <arglist>(osg::Node *pNode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeNode</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ade64189485368d4fa5a865d5478d8806</anchor>
      <arglist>(osg::Node *pNode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PlantModel</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a746a2fdcc713c15c8cbd63573d3ca0f7</anchor>
      <arglist>(vtTransform *model)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PlantModelAtPoint</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ae75273a0b7b71d7a18d71d1701c9f76d</anchor>
      <arglist>(vtTransform *model, const DPoint2 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>PointIsInTerrain</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a056e3bc60aa247776499d7c2aa968eec</anchor>
      <arglist>(const DPoint2 &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>LayerSet &amp;</type>
      <name>GetLayers</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a47166206be62c825251584ae6f1c6e83</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtVegLayer *</type>
      <name>NewVegLayer</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a23b73349ba8ba69de6d90d6c3b69e936</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>AddPlant</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a20b2136746e4279a17a9a7a92f7fb837</anchor>
      <arglist>(vtVegLayer *v_layer, const DPoint2 &amp;pos, int iSpecies, float fSize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>DeleteSelectedPlants</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ac7e5715bf1e48d3f5f687b2f9e7b39b0</anchor>
      <arglist>(vtVegLayer *v_layer)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSpeciesList</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a888ca259fe26ea708aaff70b1169bd6e</anchor>
      <arglist>(vtSpeciesList3d *pSpeciesList)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>AddNodeToVegGrid</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a32e2ef0c3191f3755079fcb76b6f765f</anchor>
      <arglist>(osg::Node *pNode)</arglist>
    </member>
    <member kind="function">
      <type>vtStructureLayer *</type>
      <name>GetStructureLayer</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a2bc6b96a033046ceaaba70520d585873</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>vtStructureLayer *</type>
      <name>NewStructureLayer</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a9ffac0ab6d0225b2ab69a44baf4ffaa6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>DeleteSelectedStructures</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ac9829061029fb15d98b78987876b179c</anchor>
      <arglist>(vtStructureLayer *st_layer)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>AddNodeToStructGrid</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a9a2e608e61e1ff41d00c32121b0d96da</anchor>
      <arglist>(osg::Node *pNode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveNodeFromStructGrid</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ab6cde2c7af18087fbfe6cb8315513130</anchor>
      <arglist>(osg::Node *pNode)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnCreateBehavior</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a7576b541487d16e307b403d2d290d329</anchor>
      <arglist>(vtStructure *s)</arglist>
    </member>
    <member kind="function">
      <type>vtAbstractLayer *</type>
      <name>NewAbstractLayer</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>aa1f68bd1f80157f30466f23edb27c5a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtAbstractLayer *</type>
      <name>GetAbstractLayer</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>aa58820d3e8ce15b1dcc4505d05463b7d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtTransform *</type>
      <name>GetScaledFeatures</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a609ed3e10897d3ba6e75f3d681876b92</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtImageLayer *</type>
      <name>NewImageLayer</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a5836d596ef0547a34d66f5cbba8d5afe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>CreateCustomCulture</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a0c0b27f25c7935340fcb053f4c2a3efd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddEngine</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ae77ec58b5c9591f704ecba5600382096</anchor>
      <arglist>(vtEngine *pE)</arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetCenter</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a212b3b4bb7178cddbc43a0498addfe8b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetRadius</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a69196f5226c0b27e19b79b7f9f00d0bd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtHeightField3d *</type>
      <name>GetHeightField</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a4b2cde961d101ce7a0089e4181d0af4c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>vtHeightFieldGrid3d *</type>
      <name>GetHeightFieldGrid3d</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>aac47d5a9b31d8ae3ffe47f79edc81f23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtAnimContainer *</type>
      <name>GetAnimContainer</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a915debe04d572aac5c10267082737901</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetFog</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ac322e1c976d1f2207028ae0ca282d8f9</anchor>
      <arglist>(bool fog)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetFogColor</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>aded756f0d85fa4232a9629376cda9844</anchor>
      <arglist>(const RGBf &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetFogDistance</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a7d77a18dc7090d2f1c6b4821d932a292</anchor>
      <arglist>(float fMeters)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetShadows</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a335d4c59bb98680772322b82685e9ed4</anchor>
      <arglist>(bool shadows)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetShadowOptions</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a37035e71ef918505f81c053507c3e95f</anchor>
      <arglist>(const vtShadowOptions &amp;opt)</arglist>
    </member>
    <member kind="function">
      <type>vtTime</type>
      <name>GetInitialTime</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a14ac0b80ab7fe0a6cbe1aae3c082085c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>TranslateToGMT</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a5c419fb149ff6c27e00414c5116d68b9</anchor>
      <arglist>(vtTime &amp;time)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>TranslateFromGMT</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>acd6fe8b21112ce22c3b69fa467c2db5f</anchor>
      <arglist>(vtTime &amp;time)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>UpdateElevation</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a3f015ac0159421836526b2e3e4f6a091</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RedrapeCulture</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ad6d493dfc79843d1a5828343de4a584c</anchor>
      <arglist>(const DRECT &amp;area)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ReshadeTexture</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a11cb06958890fce81291d66551d35354</anchor>
      <arglist>(vtTransform *pSunLight, bool progress_callback(int)=NULL)</arglist>
    </member>
    <member kind="function">
      <type>osg::Image *</type>
      <name>GetTextureImage</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>a67a9e46d187bc81ad27bcfb8bfedb754</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RecreateTexture</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>ab5339de49ad4ae65bba01fa215d65fec</anchor>
      <arglist>(vtTransform *pSunLight, bool progress_callback(int)=NULL)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>CreateWaterPlane</name>
      <anchorfile>classvtTerrain.html</anchorfile>
      <anchor>aac0bcb5bd4166f0af585a3f7ff9238aa</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTerrainFlyer</name>
    <filename>classvtTerrainFlyer.html</filename>
    <base>vtFlyer</base>
    <member kind="function">
      <type>void</type>
      <name>SetHeightField</name>
      <anchorfile>classvtTerrainFlyer.html</anchorfile>
      <anchor>a8566e3b8b0f71cffd253a467a6132dc9</anchor>
      <arglist>(const vtHeightField3d *pHF)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtTerrainFlyer.html</anchorfile>
      <anchor>a0962b825dc40fbe5e74afe2fc1e50908</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa7f71ba5355653e87207f0eeddba77b9</anchor>
      <arglist>(float fSpeed)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>a61b069813864e15e8d038b44ba883149</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>aa6fd1f786f5368e5de78710cc17fee07</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetCurrentSpeed</name>
      <anchorfile>classvtFlyer.html</anchorfile>
      <anchor>af95955317ef83f4a9e8a3eca2bff3a67</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTerrainScene</name>
    <filename>classvtTerrainScene.html</filename>
    <base>vtTimeTarget</base>
    <member kind="function">
      <type>vtGroup *</type>
      <name>BeginTerrainScene</name>
      <anchorfile>classvtTerrainScene.html</anchorfile>
      <anchor>abcdb877f8385ad885b2530cb46cd6993</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AppendTerrain</name>
      <anchorfile>classvtTerrainScene.html</anchorfile>
      <anchor>a4393ef7815ebf4c14be07cf782c1e766</anchor>
      <arglist>(vtTerrain *pTerrain)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetCurrentTerrain</name>
      <anchorfile>classvtTerrainScene.html</anchorfile>
      <anchor>abeee87ecc6cd8448041be1fc3aa56118</anchor>
      <arglist>(vtTerrain *pTerrain)</arglist>
    </member>
    <member kind="function">
      <type>vtGroup *</type>
      <name>BuildTerrain</name>
      <anchorfile>classvtTerrainScene.html</anchorfile>
      <anchor>adf48645b1367afe78a173598708bc254</anchor>
      <arglist>(vtTerrain *pTerrain)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTerrains</name>
      <anchorfile>classvtTerrainScene.html</anchorfile>
      <anchor>ac38a7bb469c1c5022deb2d9fd0ddc6e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>vtTerrain *</type>
      <name>GetCurrentTerrain</name>
      <anchorfile>classvtTerrainScene.html</anchorfile>
      <anchor>ae709ba9fff02685ade4ee5b00884acfa</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>vtTerrain *</type>
      <name>FindTerrainByName</name>
      <anchorfile>classvtTerrainScene.html</anchorfile>
      <anchor>ae9f621eb3ce13a5de3c4b1395e65123d</anchor>
      <arglist>(const char *name)</arglist>
    </member>
    <member kind="function">
      <type>vtTransform *</type>
      <name>GetSunLightTransform</name>
      <anchorfile>classvtTerrainScene.html</anchorfile>
      <anchor>a6cb982e07dcbe6a51c17156e37797996</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTextMesh</name>
    <filename>classvtTextMesh.html</filename>
    <member kind="function">
      <type></type>
      <name>vtTextMesh</name>
      <anchorfile>classvtTextMesh.html</anchorfile>
      <anchor>aad4ff0b125e3d93d4a8ba01699d8466a</anchor>
      <arglist>(osgText::Font *font, float fSize=1, bool bCenter=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetText</name>
      <anchorfile>classvtTextMesh.html</anchorfile>
      <anchor>a0e946c697e529a73676488afc344b73d</anchor>
      <arglist>(const char *text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetText</name>
      <anchorfile>classvtTextMesh.html</anchorfile>
      <anchor>a058ec67f032a5256485d838dea644e89</anchor>
      <arglist>(const wchar_t *text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetText</name>
      <anchorfile>classvtTextMesh.html</anchorfile>
      <anchor>a3b91a3da5cbab8d643281237b2f25ae0</anchor>
      <arglist>(const std::wstring &amp;text)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetPosition</name>
      <anchorfile>classvtTextMesh.html</anchorfile>
      <anchor>a53bbfae0698707542413e79515a0a307</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetRotation</name>
      <anchorfile>classvtTextMesh.html</anchorfile>
      <anchor>a6821e7b1c4b6baefe81ba27df9e07c4e</anchor>
      <arglist>(const FQuat &amp;rot)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetAlignment</name>
      <anchorfile>classvtTextMesh.html</anchorfile>
      <anchor>a9331026b7c1b199264f1c5a309f6d490</anchor>
      <arglist>(int align)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetColor</name>
      <anchorfile>classvtTextMesh.html</anchorfile>
      <anchor>abe4a3b18a6f9e86e06fd721d28eac4c3</anchor>
      <arglist>(const RGBAf &amp;rgba)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTiledGeom</name>
    <filename>classvtTiledGeom.html</filename>
    <base>vtDynGeom</base>
    <base>vtHeightField3d</base>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a9112ff82406a1be45eafbdc0e8238b43</anchor>
      <arglist>(const FSphere &amp;sphere) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>aba273044abb7e8ac9d14b8ea2df76fac</anchor>
      <arglist>(const FPoint3 &amp;point0, const FPoint3 &amp;point1, const FPoint3 &amp;point2, const float fTolerance=0.0f) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a359ecf3b7c460f55bc25c3d70621105c</anchor>
      <arglist>(const FPoint3 &amp;point, float radius) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>IsVisible</name>
      <anchorfile>classvtDynGeom.html</anchorfile>
      <anchor>a45c7b02936af6af36b9b654b59a2561c</anchor>
      <arglist>(const FPoint3 &amp;point) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTimeEngine</name>
    <filename>classvtTimeEngine.html</filename>
    <base>vtEngine</base>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtTimeEngine.html</anchorfile>
      <anchor>ac6d318294c985ddc6af60d9188067d85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnMouse</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a2b3ab30d42068caa38e0a1690a6f5709</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTimeTarget</name>
    <filename>classvtTimeTarget.html</filename>
  </compound>
  <compound kind="class">
    <name>vtTin3d</name>
    <filename>classvtTin3d.html</filename>
    <base>vtTin</base>
    <member kind="function">
      <type>bool</type>
      <name>Read</name>
      <anchorfile>classvtTin3d.html</anchorfile>
      <anchor>a97a2c5e88a114e8ec18e58d9818f543b</anchor>
      <arglist>(const char *fname, bool progress_callback(int)=NULL)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetColorMap</name>
      <anchorfile>classvtTin3d.html</anchorfile>
      <anchor>abe048b73c7d42831cf3e00b29b3c886f</anchor>
      <arglist>(ColorMap *color_map)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>FindAltitudeAtPoint</name>
      <anchorfile>classvtTin3d.html</anchorfile>
      <anchor>a64a626eacde89f51f0c4f6e136e4d73e</anchor>
      <arglist>(const FPoint3 &amp;p3, float &amp;fAltitude, bool bTrue=false, int iCultureFlags=0, FPoint3 *vNormal=NULL) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>MakeMaterialsFromOptions</name>
      <anchorfile>classvtTin3d.html</anchorfile>
      <anchor>a2616f228a76b19c61595805e4787bcfc</anchor>
      <arglist>(const vtTagArray &amp;options, bool bTextureCompression)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>MakeMaterials</name>
      <anchorfile>classvtTin3d.html</anchorfile>
      <anchor>a1951a6635580719adcbbd9c6525c5281</anchor>
      <arglist>(ColorMap *cmap, osg::Image *image, float fScale, float fOpacity, bool bTextureCompression)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTinFlyer</name>
    <filename>classvtTinFlyer.html</filename>
    <base>vtLastMouse</base>
    <member kind="function">
      <type>void</type>
      <name>SetTin</name>
      <anchorfile>classvtTinFlyer.html</anchorfile>
      <anchor>a613974684e27e0f338c537a7fb1d3506</anchor>
      <arglist>(vtTin3d *pTin)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtTinFlyer.html</anchorfile>
      <anchor>a73b7b27ef611418d8799ac6b38d81a96</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>abd055c37e13cd344137d5e032a49a194</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTrackball</name>
    <filename>classvtTrackball.html</filename>
    <base>vtLastMouse</base>
    <member kind="function">
      <type>void</type>
      <name>SetRadius</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a6d5043b9a0e57b71111c47fa893c79cf</anchor>
      <arglist>(float fRadius)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>GetRadius</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a8fcdd8f68ef043f73d6dc1a47d0e0ac4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetRotateButton</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a12308369a0a5eb822cb2550971a03eff</anchor>
      <arglist>(int button, int modifier=0, bool bExact=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetZoomButton</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a4148e4adcd574503c9a9ba8a01d72e5e</anchor>
      <arglist>(int button, int modifier=0, bool bExact=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTranslateButton</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a8ef1cb2f6f9953ea86bf70cdad04d48c</anchor>
      <arglist>(int button, int modifier=0, bool bExact=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetZoomScale</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a82e251f86a7ee3826d3d811dc2353475</anchor>
      <arglist>(float s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetRotScale</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>ae3e93f5d178fa4ce7e609a501228bb61</anchor>
      <arglist>(float s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTransScale</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a8c567e52a14dc6777f873240ddd28197</anchor>
      <arglist>(float s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetDirection</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>aaeee0680835a680de35e7127bafdeff9</anchor>
      <arglist>(float fTheta, float fPhi)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>MoveDirection</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a36911a54373330a4776834b95197740c</anchor>
      <arglist>(float fTheta, float fPhi)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>OnMouse</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>aed7fc8f017bb4fee14747ed80fbb875b</anchor>
      <arglist>(vtMouseEvent &amp;event)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Eval</name>
      <anchorfile>classvtTrackball.html</anchorfile>
      <anchor>a8fe10d8db0406f0641e9cef45e7a4630</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetNormalizedMouseCoords</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a0d0791482d1a23ad12966250fabd3518</anchor>
      <arglist>(float &amp;mx, float &amp;my)</arglist>
    </member>
    <member kind="function">
      <type>osg::Referenced *</type>
      <name>GetTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>abea01e63d0c4ea12043a3a2c9f658de6</anchor>
      <arglist>(uint which=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>AddTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>ab81a65b9fd7f1fe2f38d194931576353</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RemoveTarget</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a5c01cbe78b966f7ddee55bbdad3bd795</anchor>
      <arglist>(osg::Referenced *ptr)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>NumTargets</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a3a78025942eed8819902e91a7d056aab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnKey</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>a88d9491440186fa026acd405dc24bf80</anchor>
      <arglist>(int key, int flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>OnWindowSize</name>
      <anchorfile>classvtEngine.html</anchorfile>
      <anchor>adec3db120ca862eed51e0cdfbce7ba6e</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_buttons</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a63e4e30088d3b5025793e7f9733695a6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>IPoint2</type>
      <name>m_pos</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>ab6bd4019ea8f04348cf02ca528c33ed3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>m_flags</name>
      <anchorfile>classvtLastMouse.html</anchorfile>
      <anchor>a793ee0856c6d3aad42a65d935e6eb096</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtTransform</name>
    <filename>classvtTransform.html</filename>
    <base>TransformExtension</base>
    <member kind="function">
      <type>void</type>
      <name>Identity</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a28280a8b078e6cd93ca335e59f705b50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTrans</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>af128eb7b9cca70db34707a20b3ac6678</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetTrans</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>ae3e496126df1de6f0c10bd2599cc4108</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Translate</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a65d20098fb983642790ec2e954f813a7</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>TranslateLocal</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>af7fabfa84a28630baa579b24d8e97778</anchor>
      <arglist>(const FPoint3 &amp;pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Rotate</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a448328c75901ee00305fb2716970b2c4</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RotateLocal</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>aa73f108fc71b657a787f6365befbd5c3</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>RotateParent</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a538bffe00f474640359ef5723ffa59dd</anchor>
      <arglist>(const FPoint3 &amp;axis, double angle)</arglist>
    </member>
    <member kind="function">
      <type>FQuat</type>
      <name>GetOrient</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a0a8d7824b95746cf432c627cea1f09bb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>FPoint3</type>
      <name>GetDirection</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>ad152e97839fb8979821cd1f416eca939</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetDirection</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a1e831b4c3f15c920b413203363c67dd6</anchor>
      <arglist>(const FPoint3 &amp;point, bool bPitch=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Scale</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a16486afe0c240b84510bfb089bf6baf1</anchor>
      <arglist>(float factor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Scale</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a4079e9b135fc1c2f22621230bd4321fb</anchor>
      <arglist>(float x, float y, float z)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetTransform</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a182f7d969245897aca264e181fb604e3</anchor>
      <arglist>(const FMatrix4 &amp;mat)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>GetTransform</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a8cc2bcacd5c1acfcf725b48da6e68317</anchor>
      <arglist>(FMatrix4 &amp;mat) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>PointTowards</name>
      <anchorfile>structTransformExtension.html</anchorfile>
      <anchor>a4d2452e5a83daf9b580a3fdde3b29f0f</anchor>
      <arglist>(const FPoint3 &amp;point, bool bPitch=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtUtilityMap3d</name>
    <filename>classvtUtilityMap3d.html</filename>
    <base>vtUtilityMap</base>
    <member kind="function">
      <type>bool</type>
      <name>FindClosestUtilPole</name>
      <anchorfile>classvtUtilityMap3d.html</anchorfile>
      <anchor>aabada2891e81f97d8af7885f4e97a5bc</anchor>
      <arglist>(const DPoint2 &amp;point, double error, vtPole3d *&amp;found_pole, double &amp;closest) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtUtilStruct</name>
    <filename>classvtUtilStruct.html</filename>
  </compound>
  <compound kind="class">
    <name>vtVegLayer</name>
    <filename>classvtVegLayer.html</filename>
    <base>vtPlantInstanceArray3d</base>
    <base>vtLayer</base>
    <member kind="function">
      <type>void</type>
      <name>SetHeightField</name>
      <anchorfile>classvtPlantInstanceArray3d.html</anchorfile>
      <anchor>ad3909c0afef3965f2383002f885d0579</anchor>
      <arglist>(vtHeightField3d *hf)</arglist>
    </member>
    <member kind="function">
      <type>vtSpeciesList3d *</type>
      <name>GetSpeciesList</name>
      <anchorfile>classvtPlantInstanceArray3d.html</anchorfile>
      <anchor>aeeac5609dd0f0fc23aed8b5065968563</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>VisualDeselectAll</name>
      <anchorfile>classvtPlantInstanceArray3d.html</anchorfile>
      <anchor>a4b7527dabb962898f899518157ae5aa3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>VisualSelect</name>
      <anchorfile>classvtPlantInstanceArray3d.html</anchorfile>
      <anchor>a1bae6c4f923622286468c935202944ba</anchor>
      <arglist>(uint i)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>SetProps</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>ab399fb782480d39cf272787202c25b1a</anchor>
      <arglist>(const vtTagArray &amp;props)</arglist>
    </member>
    <member kind="function">
      <type>vtTagArray &amp;</type>
      <name>Props</name>
      <anchorfile>classvtLayer.html</anchorfile>
      <anchor>af72b5f9511dfa4e3907a3bc1a567de20</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>vtWindow</name>
    <filename>classvtWindow.html</filename>
    <member kind="function">
      <type>void</type>
      <name>SetBgColor</name>
      <anchorfile>classvtWindow.html</anchorfile>
      <anchor>a974e2de82529324cc23e9790c3857b95</anchor>
      <arglist>(const RGBf &amp;color)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>osg::GroupLOD</name>
    <filename>classosg_1_1GroupLOD.html</filename>
    <member kind="function">
      <type></type>
      <name>GroupLOD</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>a26dcc5e8ba73f06a049d8933fcc67ce1</anchor>
      <arglist>(const GroupLOD &amp;, const CopyOp &amp;copyop=CopyOp::SHALLOW_COPY)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRadius</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>ac94f2bd6c1fe15268a36c76e3f6d837c</anchor>
      <arglist>(value_type radius)</arglist>
    </member>
    <member kind="function">
      <type>value_type</type>
      <name>getRadius</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>a62eb4bbb322447dcee82bd137a5a022e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCenter</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>a32bdcf30c47a491a03e76d9f93ff7f1c</anchor>
      <arglist>(const Vec3 &amp;center)</arglist>
    </member>
    <member kind="function">
      <type>const Vec3 &amp;</type>
      <name>getCenter</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>ad6465cabbce9191605e9aabd22f15645</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDistance</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>a9556889e35bdf0c2af3d9248ce57d33b</anchor>
      <arglist>(float max)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>getDistance</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>a7d12f198e53f899c7e10b155492e23d3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setGroupDistance</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>a933884d32817ff1a2508cc676731df27</anchor>
      <arglist>(float max)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static float</type>
      <name>getGroupDistance</name>
      <anchorfile>classosg_1_1GroupLOD.html</anchorfile>
      <anchor>a28e8bfb888f44fdf6327b0effb53f199</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>core</name>
    <path>C:/VTP/TerrainSDK/vtlib/core/</path>
    <filename>dir_4270bfced15e0e73154b13468c7c9ad9.html</filename>
    <file>AbstractLayer.cpp</file>
    <file>AbstractLayer.h</file>
    <file>AnimPath.cpp</file>
    <file>AnimPath.h</file>
    <file>BruteTerrain.cpp</file>
    <file>BruteTerrain.h</file>
    <file>Building3d.cpp</file>
    <file>Building3d.h</file>
    <file>CarEngine.cpp</file>
    <file>CarEngine.h</file>
    <file>Content3d.cpp</file>
    <file>Content3d.h</file>
    <file>Contours.cpp</file>
    <file>Contours.h</file>
    <file>DynTerrain.cpp</file>
    <file>DynTerrain.h</file>
    <file>Elastic.cpp</file>
    <file>Elastic.h</file>
    <file>Engine.cpp</file>
    <file>Engine.h</file>
    <file>Event.h</file>
    <file>FelkelComponents.cpp</file>
    <file>FelkelComponents.h</file>
    <file>FelkelIntersection.cpp</file>
    <file>FelkelIntersection.h</file>
    <file>FelkelStraightSkeleton.cpp</file>
    <file>FelkelStraightSkeleton.h</file>
    <file>Fence3d.cpp</file>
    <file>Fence3d.h</file>
    <file>FP8.h</file>
    <file>GeomUtil.cpp</file>
    <file>GeomUtil.h</file>
    <file>Globe.cpp</file>
    <file>Globe.h</file>
    <file>ImageSprite.cpp</file>
    <file>ImageSprite.h</file>
    <file>Light.h</file>
    <file>Location.cpp</file>
    <file>Location.h</file>
    <file>LodGrid.cpp</file>
    <file>LodGrid.h</file>
    <file>MapOverviewEngine.cpp</file>
    <file>MapOverviewEngine.h</file>
    <file>MaterialDescriptor3d.cpp</file>
    <file>MaterialDescriptor3d.h</file>
    <file>NavEngines.cpp</file>
    <file>NavEngines.h</file>
    <file>PagedLodGrid.cpp</file>
    <file>PagedLodGrid.h</file>
    <file>PickEngines.cpp</file>
    <file>PickEngines.h</file>
    <file>Plants3d.cpp</file>
    <file>Plants3d.h</file>
    <file>Roads.cpp</file>
    <file>Roads.h</file>
    <file>SkyDome.cpp</file>
    <file>SkyDome.h</file>
    <file>SMTerrain.cpp</file>
    <file>SMTerrain.h</file>
    <file>SpaceNav.cpp</file>
    <file>SpaceNav.h</file>
    <file>SRTerrain.cpp</file>
    <file>SRTerrain.h</file>
    <file>Structure3d.cpp</file>
    <file>Structure3d.h</file>
    <file>SurfaceTexture.cpp</file>
    <file>SurfaceTexture.h</file>
    <file>TemporaryGraphicsContext.cpp</file>
    <file>TemporaryGraphicsContext.h</file>
    <file>Terrain.cpp</file>
    <file>Terrain.h</file>
    <file>TerrainLayers.cpp</file>
    <file>TerrainLayers.h</file>
    <file>TerrainScene.cpp</file>
    <file>TerrainScene.h</file>
    <file>TextureUnitManager.cpp</file>
    <file>TextureUnitManager.h</file>
    <file>TiledGeom.cpp</file>
    <file>TiledGeom.h</file>
    <file>TimeEngines.cpp</file>
    <file>TimeEngines.h</file>
    <file>TParams.cpp</file>
    <file>TParams.h</file>
    <file>UtilityMap3d.cpp</file>
    <file>UtilityMap3d.h</file>
    <file>Vehicles.cpp</file>
    <file>Vehicles.h</file>
    <file>vtTin3d.cpp</file>
    <file>vtTin3d.h</file>
    <file>winglue.h</file>
  </compound>
  <compound kind="dir">
    <name>vtosg</name>
    <path>C:/VTP/TerrainSDK/vtlib/vtosg/</path>
    <filename>dir_582d5c080344a8ec1e42f09dfb67d433.html</filename>
    <file>ExternalHeightField3d.cpp</file>
    <file>ExternalHeightField3d.h</file>
    <file>GeometryUtils.cpp</file>
    <file>GeometryUtils.h</file>
    <file>GroupLOD.cpp</file>
    <file>GroupLOD.h</file>
    <file>ImageOSG.cpp</file>
    <file>ImageOSG.h</file>
    <file>LightSpacePerspectiveShadowTechnique.cpp</file>
    <file>LightSpacePerspectiveShadowTechnique.h</file>
    <file>Material.cpp</file>
    <file>Material.h</file>
    <file>MathOSG.h</file>
    <file>Mesh.cpp</file>
    <file>Mesh.h</file>
    <file>MultiTexture.cpp</file>
    <file>MultiTexture.h</file>
    <file>NodeLog.cpp</file>
    <file>NodeOSG.cpp</file>
    <file>NodeOSG.h</file>
    <file>OSGEventHandler.cpp</file>
    <file>OSGEventHandler.h</file>
    <file>SaveImageOSG.cpp</file>
    <file>SaveImageOSG.h</file>
    <file>SceneOSG.cpp</file>
    <file>SceneOSG.h</file>
    <file>ScreenCaptureHandler.cpp</file>
    <file>ScreenCaptureHandler.h</file>
    <file>SimpleInterimShadowTechnique.cpp</file>
    <file>SimpleInterimShadowTechnique.h</file>
    <file>VisualImpactCalculatorOSG.cpp</file>
    <file>VisualImpactCalculatorOSG.h</file>
  </compound>
  <compound kind="page">
    <name>index</name>
    <title>vtlib library documentation</title>
    <filename>index</filename>
    <docanchor file="index">Overview</docanchor>
  </compound>
</tagfile>
